  
 *-------  Correlations between distance and migration after selected push  -------

  program define usbilateral


  ************* Open and read instruments


	local path="$datdescript"
	use "`path'US_Bilateral.dta", clear
	
	
	replace isoj="PRK" if isoj=="PKR"
	
	local path="$datinstr"
	merge 1:1 isoj period using "`path'Push_factors.dta"
	drop if isoj=="USA"
	drop _merge

	gen regime=.
	replace regime=1 if polity>-6 & polity<6
	replace regime=0 if polity<=-6 | polity>=6

	gen disasters= max(earthquake,flood,storm,drought)
		
	replace war=1 if war>0
			
	gen USSR=0
	replace USSR=1 if isoj=="USSR"|isoj=="ARM"|isoj=="AZE"|isoj=="BLR"| ///
		  isoj=="EST"|isoj=="GEO" |isoj=="KAZ"|isoj=="KGZ"|isoj=="LTU"| ///
		  isoj=="LVA"|isoj=="MDA" |isoj=="RUS"|isoj=="TJK"|isoj=="TKM"| ///
		  isoj=="UKR"|isoj=="UZB"

	gen YUG=0
	replace YUG=1 if isoj=="YUG"|isoj=="BIH"|isoj=="HRV"|isoj=="MKD"| ///
					 isoj=="SRB"|isoj=="SVN" 

	gen ETH=0
	replace ETH=1 if isoj=="ETH"| isoj=="ERI" 

	gen KOR=0
	replace KOR=1 if isoj=="KOR"| isoj=="PRK" 

	gen CZE=0
	replace CZE=1 if isoj=="CZE"| isoj=="SVK" 
	
	local ctlst "USSR YUG ETH KOR CZE"
	local vlst "war regime disasters lny_old"
	
	foreach ct of local ctlst {
		foreach v of local vlst {
			if "`v'"=="lny_old" {
				bysort `ct' period: egen `v'_`ct'=mean(`v')
			}
			else {
				bysort `ct' period: egen `v'_`ct'=max(`v')
			}
			replace `v'=`v'_`ct' if isoj=="`ct'"
			drop `v'_`ct'
		}
		drop `ct'
	} 
	
	drop if origin==.

  ************* Education regressions
	preserve
		local path="$datdescript"
		merge 1:m origin period using "`path'Shares_edu.dta"
		keep if _merge==3
		drop _merge
			
		reshape wide share, i(origin period) j(education)

		tsset origin period, delta(10)

		gen dshare1=d.share1
		gen dshare2=d.share2
		gen dshare3=d.share3
		
		gen dlny=-d.lny_old
					
		local vlst "war regime disasters dlny"
		foreach v of local vlst {
			gen `v'_ldist=`v'*ldist
			forvalues edu=1/3 {
				reg dshare`edu' `v' ldist `v'_ldist, r cl(origin)
				if `edu'==1 {
					matrix bts=_b[`v'_ldist]
					matrix s=_se[`v'_ldist]
				}
				else {
					matrix bts=bts,(_b[`v'_ldist])
					matrix s=s,(_se[`v'_ldist])
				}
			}
			if "`v'"=="war" {
				matrix betas_us_edu=bts
				matrix ses_us_edu=s
			}
			else {
				matrix betas_us_edu=betas_us_edu\bts
				matrix ses_us_edu=ses_us_edu\s
			}
		}
	matrix betas_us_edu=betas_us_edu'
	matrix ses_us_edu=ses_us_edu'
	restore
			
	
  ************* Experience regressions

	local path="$datdescript"
	merge 1:m origin period using "`path'Shares_exp.dta"
	keep if _merge==3
	drop _merge
	
	reshape wide share, i(origin period) j(experience)

	tsset origin period, delta(10)

	gen dshare1=d.share1
	gen dshare2=d.share2
	gen dshare3=d.share3
	gen dshare4=d.share4
	gen dshare5=d.share5

	gen dlny=-d.lny_old	

	local vlst "war regime disasters dlny"
	foreach v of local vlst {
		gen `v'_ldist=`v'*ldist
		forvalues exp=1/5 {
			reg dshare`exp' `v' ldist `v'_ldist, r cl(origin)
			if `exp'==1 {
				matrix bts=_b[`v'_ldist]
				matrix s=_se[`v'_ldist]
			}
			else {
				matrix bts=bts,(_b[`v'_ldist])
				matrix s=s,(_se[`v'_ldist])
			}
		}
		if "`v'"=="war" {
			matrix betas_us_exp=bts
			matrix ses_us_exp=s
		}
		else {
			matrix betas_us_exp=betas_us_exp\bts
			matrix ses_us_exp=ses_us_exp\s
		}
	}
	matrix betas_us_exp=betas_us_exp'
	matrix ses_us_exp=ses_us_exp'
	

  end


