
 *-----------------------------  Anecdotal evidence  ------------------------------

  program define anecdotal
  
	clear
	local path="$datdescript"
	import excel using "`path'Anecdotal_evidence.xlsx", firstrow
	
	replace country1="Belgium and Luxembourg" if country1=="Belgium"
	replace country1="Luxembourg" if country1=="Luxemburg"
	replace country1="Korea" if country1=="Korea, Rep. Of (South)"

	replace country2="Bahamas" if country2=="Bahamas, The"
	replace country2="Belgium and Luxembourg" if country2=="Belgium"
	replace country2="Brunei Darussalam" if country2=="Brunei"
	replace country2="Burma" if country2=="Burma (Myanmar)"
	replace country2="Hong Kong" if country2=="China, Hong Kong SAR"
	replace country2="Macau (Aomen)" if country2=="China, Macao SAR"
	replace country2="Congo" if country2=="Congo, Rep. of the"
	replace country2="Congo (Democratic Republic of the)" ///
										if country2=="Congo, Dem. Rep. of the"
	replace country2="Cte d'Ivoire" if country2=="Cote d'Ivoire"
	replace country2="Gambia" if country2=="Gambia, The"
	replace country2="Kazakstan" if country2=="Kazakhstan"
	replace country2="Korea" if country2=="Korea, Rep. Of (South)"
	replace country2="Lao People's Democratic Republic" if country2=="Laos"
	replace country2="Libyan Arab Jamahiriya" if country2=="Libya"
	replace country2="Macedonia (the former Yugoslav Rep. of)" ///
										if country2=="Macedonia"
	replace country2="Micronesia (Federated States of)" ///
								if country2=="Micronesia, Federated States of"
	replace country2="Moldova, Rep.of" if country2=="Moldova"
	replace country2="Palestine" if country2=="Occupied Palestinian Territory"
	replace country2="Russian Federation" if country2=="Russia"
	replace country2="Syrian Arab Republic" if country2=="Syria"
	replace country2="Tanzania, United Rep. of " if country2=="Tanzania"
	replace country2="United States of America" if country2=="United States"
	replace country2="Viet Nam" if country2=="Vietnam"
	
	local path="$datdescript"
	save "`path'Anecdotal_evidence.dta", replace
	
	local path="$datinstr"
	use "`path'Distances_complete.dta", clear
	
	keep if iso2=="ABW"
	replace id2=239
	replace iso2="ZWE"
	replace country2="Zimbabwe"
	replace city_en2="Harare"
	replace lat2=-17.83333333333
	replace lon2=31.05
	drop dist log_distance
	
	vincenty lat1 lon1 lat2 lon2, v(v) hav(h) l(loc) inkm 
 
	egen dist=rowmean(v h loc)
	gen log_distance=ln(dist)
	drop v h loc
	
	set obs 239
	replace id1=239 in 239
	replace iso1="ZWE" in 239
	replace country1="Zimbabwe" in 239
	replace city_en1="Harare" in 239
	replace lat1=-17.83333333333 in 239
	replace lon1=31.05 in 239
	replace id2=239 in 239
	replace iso2="ZWE" in 239
	replace country2="Zimbabwe" in 239
	replace city_en2="Harare" in 239
	replace lat2=-17.83333333333 in 239
	replace lon2=31.05 in 239
	
	local path="$datinstr"
	append using "`path'Distances_complete.dta"
	
	local path="$datdescript"
	merge 1:1 country1 country2 using "`path'Anecdotal_evidence.dta"
	drop if _merge!=3
	drop _merge
	rename war specwar
	gen period=2000

	replace country2="Belgium" if country2=="Belgium and Luxembourg"
	replace country2="Brunei" if country2=="Brunei Darussalam"
	replace country2="Congo, Republic of" if country2=="Congo"
	replace country2="Congo, Dem. Rep." ///
						if country2=="Congo (Democratic Republic of the)"
	replace country2="Cote dIvoire" if country2=="Cte d'Ivoire"
	replace country2="Cote d`Ivoire" if country2=="Cote dIvoire"
	replace country2="Gambia, The" if country2=="Gambia"
	replace country2="Kazakhstan" if country2=="Kazakstan"
	replace country2="Korea, Republic of" if country2=="Korea"
	replace country2="Laos" if country2=="Lao People's Democratic Republic"
	replace country2="Libya" if country2=="Libyan Arab Jamahiriya"
	replace country2="Macao" if country2=="Macau (Aomen)"
	replace country2="Macedonia" ///
						if country2=="Macedonia (the former Yugoslav Rep. of)"
	replace country2="Micronesia, Fed. Sts." ///
								if country2=="Micronesia (Federated States of)"
	replace country2="Moldova" if country2=="Moldova, Rep.of"
	replace country2="Russia" if country2=="Russian Federation"
	replace country2="Slovak Republic" if country2=="Slovakia"
	replace country2="St. Kitts & Nevis" if country2=="Saint Kitts and Nevis"
	replace country2="St. Lucia" if country2=="Saint Lucia"
	replace country2="St.Vincent & Grenadines" ///
						if country2=="Saint Vincent and the Grenadines"
	replace country2="Syria" if country2=="Syrian Arab Republic"
	replace country2="Tanzania" if country2=="Tanzania, United Rep. of "
	replace country2="Trinidad &Tobago" if country2=="Trinidad and Tobago"
	replace country2="United States" if country2=="United States of America"
	replace country2="Vietnam" if country2=="Viet Nam"
	
	rename country2 countryj

	local path="$datdescript"
	save "`path'Anecdotal_evidence.dta", replace

	local path="$datinstr"
	use "`path'Push_factors.dta", clear
	
	keep if period==1990 | period==2000
	
	keep countryj period polity war earthquake_aff flood_aff storm_aff ///
										drought_aff population_t0 lny_old 
	reshape wide polity war earthquake flood_aff storm_aff drought_aff ///
									population_t0 lny_old, i(countryj) j(period)

	local path="$datdescript"
	merge 1:m countryj using "`path'Anecdotal_evidence.dta"
	drop if _merge!=3
	drop _merge
	rename countryj country2

	local path="$datdescript"
	erase "`path'Anecdotal_evidence.dta"
	
	label define warlbl 1 "Balkans war"
	label define warlbl 2 "African civil wars", add
	label define warlbl 3 "Middle east civil wars", add
	label values specwar warlbl
	
	label define destlbl 1 "Europe"
	label define destlbl 2 "United States/Canada", add
	label define destlbl 0 "Australia/New Zealand", add
	label values dest destlbl
	
	label define disastlbl 1 "Bangladesh (cyclon Gorky, 1991)"
	label define disastlbl 2 "Iran (earthquake, 1990)", add
	label define disastlbl 3 "Turkey (earthquake 1999)", add
	label define disastlbl 4 "Venezuelan flood (1999)", add
	label values disast disastlbl

	replace continent=3 if continent==2
	label define contlbl 1 "Africa"
	label define contlbl 3 "America", add
	label define contlbl 4 "Asia", add
	label define contlbl 5 "Europe", add
	label define contlbl 6 "Oceania", add
	label values continent contlbl	

  	****** Continent (Table 2)
	
	preserve
		drop if dest==0 | continent==. | country1==country2
		replace dest=0 if dest==3
		
	
		keep country1 country2 tot90 pri90 sec90 ter90 tot00 pri00 sec00 ter00 ///
																	continent dest
		
		collapse (sum) tot90 pri90 sec90 ter90 tot00 pri00 sec00 ter00, ///
														by(continent dest)
		
		local list "tot pri sec ter"
		foreach l of local list  {
			gen d`l'=`l'00-`l'90
			bys continent: egen agd`l'=sum(d`l')
			gen sh`l'=d`l'/agd`l'
		}	
		
		keep continent dest shtot shpri shsec shter
		order continent dest shtot shpri shsec shter
		sort continent dest
		replace shpri=. if continent==5
		
		mkmat shtot shpri shsec shter, matrix(anecdotal_continent)
	restore
	

  	****** Correlations cross-country (Table 3)
	
	preserve
		forvalues y=1990(10)2000 {
			gen regime`y'=.
			replace regime`y'=1 if polity`y'>-6 & polity`y'<6
			replace regime`y'=0 if polity`y'<=-6 | polity`y'>=6

			gen disasters`y'= ( earthquake_affected`y' + flood_affected`y' + ///
				storm_affected`y' + drought_affected`y' ) / (population_t0`y'*1000)
		
			replace war`y'=1 if war`y'>0
			
			replace lny_old`y'=-lny_old`y'
		}

		drop if country1==country2

		local list "tot pri sec ter"
		foreach l of local list  {
			gen d`l'=1000*(`l'00/p`l'00-`l'90/p`l'90)
		}	
		
		keep country1 country2 dtot dpri dsec dter war2000 regime2000 ///
							disasters2000 lny_old2000 log_distance id1 id2
		
		local vlst "war regime disasters lny_old"
		local tlst "tot pri sec ter"
		foreach v of local vlst {
			cap gen `v'_dist=`v'2000*log_distance
			foreach t of local tlst {
				reg d`t' `v'2000 log_distance `v'_dist, r cl(country2)
				if "`t'"=="tot" {
					matrix bts=_b[`v'_dist]
					matrix s=_se[`v'_dist]
				}
				else {
					matrix bts=bts,(_b[`v'_dist])
					matrix s=s,(_se[`v'_dist])
				}
			}
			if "`v'"=="war" {
				matrix betas_reg=bts
				matrix ses_reg=s
			}
			else {
				matrix betas_reg=betas_reg\bts
				matrix ses_reg=ses_reg\s
			}
		}
	restore

	****** Anecdotal evidence (Table C1) 
	
	preserve
		drop if dest==0 | specwar==0
		replace dest=0 if dest==3
	
		keep country1 country2 tot90 pri90 sec90 ter90 tot00 pri00 sec00 ter00 ///
																specwar dest dist
		rename specwar war
		
		gen totdist=tot90*dist
		
		collapse (sum) tot90 pri90 sec90 ter90 tot00 pri00 sec00 ter00 dist ///
															totdist, by(war dest)
		
		gen avdist=totdist/tot90
		local list "tot pri sec ter"
		foreach l of local list  {
			gen d`l'=`l'00-`l'90
			bys war: egen agd`l'=sum(d`l')
			gen sh`l'=d`l'/agd`l'
		}
		
		
		keep war dest shtot shpri shsec shter avdist
		order war dest shtot shpri shsec shter avdist
		sort war dest

		mkmat shtot shpri shsec shter avdist, matrix(anecdotal_wars)
	restore
		
	preserve
		drop if dest==0 | disast==0
		replace dest=0 if dest==3
		
		keep country1 country2 tot90 pri90 sec90 ter90 tot00 pri00 sec00 ter00 ///
																disast dest dist
		
		gen totdist=tot90*dist
		
		collapse (sum) tot90 pri90 sec90 ter90 tot00 pri00 sec00 ter00 dist ///
														totdist, by(disast dest)
		
		gen avdist=totdist/tot90
		local list "tot pri sec ter"
		foreach l of local list  {
			gen d`l'=`l'00-`l'90
			bys disast: egen agd`l'=sum(d`l')
			gen sh`l'=d`l'/agd`l'
		}
		
		
		keep disast dest shtot shpri shsec shter avdist
		order disast dest shtot shpri shsec shter avdist
		sort disast dest
		
		mkmat shtot shpri shsec shter avdist, matrix(anecdotal_disasters)
	restore
	
  end
