  
 *-------------------  Generate maps from the instruments (Fig 1)  -----------------

  program define maps

  ************* Read and merge

	local path "$datinstr"
	use "`path'Push_factors.dta", clear
	rename isoj ISO3
	
	replace ISO3="DEU" if ISO3=="GER"
	replace ISO3="ROU" if ISO3=="ROM"
	replace ISO3="COD" if ISO3=="ZAR"
	
	local path "$datdescript"
	merge m:1 ISO3 using "`path'world_db.dta"

	gen y=exp(lny)

	gen disasters_aff=(drought_affec+earthquake_affec+flood_affec+storm_affec) ///
																  / population_t0
	
	bysort ISO3: egen totwarmonths=mean(war)
	bysort ISO3: egen totdeaths=mean(deaths_pop)
	bysort ISO3: egen totdisast=mean(disasters_aff)
	replace totwarmonths=totwarmonths*5*120
	replace totdisast=totdisast/10
	
	keep if period==2000 | period==.
	drop if ISO3=="ATF" | ISO3=="ATA"
		
	replace totwarmonths=. if totwarmonths==0
	replace totdisast=. if totdisast==0

	local path "$datdescript"
	spmap totwarmonths using "`path'world_coord.dta", ///
		id(id) fcolor(Blues2) ndfcolor(white) clmethod(custom) ///
		clbreaks(0 25 50 200 600) ndlabel("No conflicts") legj(" - ") ///
		legstyle(2) legorder(hilo) legend(symy(*2) symx(*2) size(*3.5)) ///
		plotregion(margin(zero) fcolor(white) lcolor(white) ilcolor(white)) ///
		graphregion(fcolor(white) lcolor(white) ilcolor(white)) gsize(4.35) 

	local path "$grfold"
	graph export "`path'DS_Maps_conflict.ps", replace logo(off) mag(100) ///
		tmargin(0) lmargin(0) orientation(landscape) fontface("Times New Roman")


	format polity %3.0fc
	local path "$datdescript"
	spmap polity using "`path'world_coord.dta", ///
		id(id) fcolor(BrBG) ndfcolor(white) clmethod(custom) ///
		clbreaks(-10 -9 -6 0 6 9 10) ndlabel("Missing") legj(" to ") ///
		legstyle(2) legorder(hilo) legend(symy(*2) symx(*2) size(*3.5)) ///
		plotregion(margin(zero) fcolor(white) lcolor(white) ilcolor(white)) ///
		graphregion(fcolor(white) lcolor(white) ilcolor(white)) gsize(4.35) 

	local path "$grfold"
	graph export "`path'DS_Maps_polity.ps", replace logo(off) mag(100) ///
		tmargin(0) lmargin(0) orientation(landscape) fontface("Times New Roman")

	format totdisast %9.0fc
	local path "$datdescript"
	spmap totdisast using "`path'world_coord.dta", ///
		id(id) fcolor(Reds2) ndfcolor(white) clmethod(custom) ///
		ndlabel("No disasters") legj(" - ") clbreaks(0 1 5 20 180) ///
		legstyle(2) legorder(hilo) legend(symy(*2) symx(*2) size(*3.5)) ///
		plotregion(margin(zero) fcolor(white) lcolor(white) ilcolor(white)) ///
		graphregion(fcolor(white) lcolor(white) ilcolor(white)) gsize(4.35) 
		

	local path "$grfold"
	graph export "`path'DS_Maps_disasters.ps", replace logo(off) mag(100) ///
		tmargin(0) lmargin(0) orientation(landscape) fontface("Times New Roman")

	format y %9.0fc
	local path "$datdescript"
	spmap y using "`path'world_coord.dta", ///
		id(id) fcolor(Greens2) ndfcolor(white) clmethod(custom) ///
		clbreaks(0 1500 3000 8000 20000 60000) ndlabel("Missing") legj(" - ") ///
		legstyle(2) legorder(hilo) legend(symy(*2) symx(*2) size(*3.5)) ///
		plotregion(margin(zero) fcolor(white) lcolor(white) ilcolor(white)) ///
		graphregion(fcolor(white) lcolor(white) ilcolor(white)) gsize(4.35) 

	local path "$grfold"
	graph export "`path'DS_Maps_GDPpc.ps", replace logo(off) mag(100) ///
		tmargin(0) lmargin(0) orientation(landscape) fontface("Times New Roman")

  end
  
