  
 *---------------  Generate the descriptive tables from the paper  ---------------

 program define tables_ds
 
 
   ************* Continent (Table 2)

 
	local labels "______..._to_Australia/New_Zealand_ " ///
				 "______..._to_Europe________________ " ///
				 "______..._to_U.S./Canada___________ "
 
	local path="$tabfold"
	qui log using "`path'DS_Continents_education.tex", text replace

	di " "
	di " \begin{table}[!t]\centering"
	di "   \caption{Regional Distribution of Net Inflows of Migrants acr" _continue
	di "oss Selected Countries by Educational Level and Continent of Ori" _continue
	di "gin (1990-2000)}"
	di "   \label{tab:continents-education}"
	di " "
	di " \begin{tabular}{@{\hskip 0.8cm}lC{1.3cm}C{1.3cm}C{1.3cm}C{1.3cm" _continue
	di "}@{\hskip 0.2cm}}"
	di "   \\ [-0.25cm]"
	di " \hline\hline \\ [-0.25cm]"
	di "                             & Total & Primary & \multicolumn{1}" _continue
	di "{c}{\hspace{-0.15cm} Secondary} & Tertiary  \\ [0.05cm]"
	di " \hline \\ [-0.15cm]"
	di " \multicolumn{5}{l}{\textit{i. From Africa...}} \\ [0.05cm]"

	forvalues j=0/4 {
		local i=1
		foreach v of local labels {
			if "`v'"!=" " {
				local coeff1 `"`v'"'
				local coeff
				forvalues c=1/4 {
					local coeff "`coeff'" "&" ///
					%10s cond(anecdotal_continent[`i'+3*`j',`c']~=., ///
					string(anecdotal_continent[`i'+3*`j',`c']*100,"%7.2fc"), ///
					"---") "  "
				}
				local i=`i'+1
				local coeff "`coeff'" " \\"
				if `i'==4 {
					local coeff "`coeff'" " [0.15cm]"
				}
				di subinstr("`coeff1'","_"," ",.) "`coeff'"
			}
		}
		if `j'==0 {
			di " \multicolumn{5}{l}{\textit{ii. From Americas...}} \\ [0.05cm]"
		}
		else if `j'==1 {
			di " \multicolumn{5}{l}{\textit{iii. From Asia...}} \\ [0.05cm]"
		}
		else if `j'==2 {
			di " \multicolumn{5}{l}{\textit{iv. From Europe...}} \\ [0.05cm]"
		}
		else if `j'==3 {
			di " \multicolumn{5}{l}{\textit{v. From Oceania...}} \\ [0.05cm]"
		}
	}
	
	di " \hline\hline \\ [-0.25cm]"
	di " \end{tabular}"
	di " "
	di "  \begin{tablenotes}"
	di "    The table shows the regional distribution of net inflows of " _continue
	di "migrants (differences in stocks) in selected destination countri" _continue
	di "es by continent of origin. "
	di "    European destination countries include EU-15 (excluding Luxe" _continue
	di "mbourg and Ireland), Norway, and Switzerland. Primary educated m" _continue
	di "igrants from Europe omitted due "
	di "    to negative aggregate inflow. \emph{Data source}: \citet{Doc" _continue
	di "quierMarfouk06}."
	di " \end{tablenotes}"
	di " \vspace{-0.5cm}"
	di " \end{table}"

	qui log close
 
 
   ************* Correlations cross-country (Table 3)

 
	local labels "______Conflict_dummy____________________ " ///
				 "______Political_regime_(anocracy_dummy)_ " ///
				 "______\%_affected_by_natural_disasters__ " ///
				 "______\$-_\$~{*}GDP_per_capita_______________ "
 
	local path="$tabfold"
	qui log using "`path'DS_Regression_education.tex", text replace

	di " "
	di " \begin{table}[!t]\centering"
	di "   \caption{Differential Mitigation Effect of Distance on the Co" _continue
	di "rrelation between Push Factors and Migration at Different Educat" _continue
	di "ional Levels (1990-2000)}"
	di "   \label{tab:regression-education}"
	di " "
	di " \resizebox{0.99\textwidth}{!}{\begin{tabular}{@{\hskip 0.8cm}L{5" _continue
	di ".6cm}C{1.8cm}@{\hskip 0.6cm}C{1.6cm}C{1.8cm}C{1.6cm}@{\hskip 0.2cm}}"
	di "   \\ [-0.25cm]"
	di " \hline\hline \\ [-0.25cm]"
	di "                                        &   Total   &  Primary  &" _continue
	di " Secondary &  Tertiary \\ [0.05cm]"
	di " \hline \\ [-0.15cm]"

	local i=1
	foreach v of local labels {
		if "`v'"!=" " {
			local coeff1 `"`v'"'
			local ses1 "                                        "
			local coeff
			local ses
			forvalues c=1/4 {
				local coeff "`coeff'" "&" ///
				%9s cond(betas_reg[`i',`c']~=., ///
				string(betas_reg[`i',`c'],"%7.3fc"), ///
				"   ") "  "
			}
			forvalues c=1/4 {
				local ses "`ses'" "&" ///
				%9s cond(ses_reg[`i',`c']~=., ///
				"("+string(ses_reg[`i',`c'],"%5.3fc")+")", ///
				"   ") "  "
			}
			local i=`i'+1
			local coeff "`coeff'" " \\"
			local ses "`ses'" " \\ [0.2cm]"
			di subinstr("`coeff1'","_"," ",.) "`coeff'"
			di subinstr("`ses1'","_"," ",.) "`ses'"
		}
	}
	
	di " \hline\hline \\ [-0.25cm]"
	di " \end{tabular}}"
	di " "
	di " \begin{tablenotes}"
	di "    The table reports estimated \$\beta_3\$ coefficients from t" _continue
	di "he following regression fitted to different~samples:"
	di " "
	di "    \vspace{-0.3cm}"
	di "       \$\$\Delta m_{qk}=\beta_0+\beta_1push_{q}+\beta_2\ln dis" _continue
	di "t_{qk}+\beta_3push_{q}\times\ln dist_{qk}+u_{qk},\$\$"
	di "    where \$q\$ indicates origin country, \$k\$ indicates desti" _continue
	di "nation country, \$push_q\$ is the indicated push factor, \$\ln " _continue
	di "dist_{qk}\$ is the (log) distance"
	di "    between country \$q\$ and co" _continue
	di "untry \$k\$, and \$m_{qk}\$ is the change between 1990 and 2000" _continue
	di " in the fraction of country \$k\$'s workforce (of a given educa" _continue
	di "tional"
	di "    group) that is a migrant from country \$q\$. One push facto" _continue
	di "r at a time is introduced in each panel. Different columns pres" _continue
	di "ent estimates for different"
	di "    educational groups. Destination countries include those in " _continue
	di "\citet{DocquierMarfouk06}. Standard errors, in parentheses, are" _continue
	di "clustered by origin country. "
	di "    \emph{Data source}: \citet{DocquierMarfouk06}."
	di " \end{tablenotes}"
	di " \vspace{-0.6cm}"
	di " \end{table}"
	di " "

	qui log close	
	
	

  ************* Bilateral correlations U.S.
	
	local edulabs "________Primary______________ "/*
				*/"________Secondary____________ "/*
				*/"________Tertiary_____________ "
	local explabs "________0-7_years____________ "/*
				*/"________8-15_years___________ "/*
				*/"________16-23_years__________ "/*
				*/"________24-31_years__________ "/*
				*/"________31+_years____________ "
 

	local path="$tabfold"
	qui log using "`path'DS_Correlations_Instruments_US.tex", text replace

	di " "
	di " \begin{table}[!t]\centering"
	di "    \caption{Differential Mitigation Effect of Distance on the Co" _continue
	di "rrelation between Push Factors and Migration at Different Educat" _continue
	di "ional and Experience Levels for the U.S. (1960-2000)}"
	di "    \label{tab:corr-Instr-US}"
	di " "
	di " \resizebox{.99\textwidth}{!}{"
	di " \begin{tabular}{@{\hskip 0.8cm}L{2.8cm}C{1.1cm}C{1.3cm}C{1.1cm}" _continue
	di "C{1.3cm}C{1.1cm}C{1.3cm}C{1.1cm}C{1.3cm}@{\hskip 0.5cm}}"
	di " \\ [-0.25cm]"
	di " \hline\hline \\ [-0.15cm]"
	di "         &\multicolumn{2}{c}{Conflicts} &\multicolumn{2}{c}{Poli" _continue
	di "tical regimes} &\multicolumn{2}{c}{Natural disasters} &\multicol" _continue
	di "umn{2}{c}{\hspace{-0.5cm}\$-\Delta\ln\$~GDP p.c.}\\ [0.05cm]"
	di " \hline \\ [-0.25cm]"
	di "        \multicolumn{9}{l}{\it i. By Education} \\ [0.05cm]"

	local i=1
	foreach v of local edulabs {
		if "`v'"!="" {
			local coeff1 `"`v'"'
			local coeff
			forvalues c=1/4 {
				local coeff "`coeff'" "&" %7s cond(betas_us_edu[`i',`c']~=., ///
					string(betas_us_edu[`i',`c'],"%7.3fc"),"       ") " " ///
					"& " %7s cond(ses_us_edu[`i',`c']~=., ///
					"("+string(ses_us_edu[`i',`c'],"%5.3fc")+") ","        ") " "
			}
			local i=`i'+1
			local coeff "`coeff'" " \\"
			if `i'==4 {
				local coeff "`coeff'" " [0.05cm]"
			}
			di subinstr("`coeff1'","_"," ",.) "`coeff'"
		}
	}
 	di " \hline \\ [-0.15cm]"
	di "        \multicolumn{9}{l}{\it ii. By Experience} \\ [0.05cm]"
	local i=1
	foreach v of local explabs {
		if "`v'"!="" {
			local coeff1 `"`v'"'
			local coeff
			forvalues c=1/4 {
				local coeff "`coeff'" "&" %7s cond(betas_us_exp[`i',`c']~=., ///
					string(betas_us_exp[`i',`c'],"%7.3fc"),"       ") " " ///
					"& " %7s cond(ses_us_exp[`i',`c']~=., ///
					"("+string(ses_us_exp[`i',`c'],"%5.3fc")+") ","        ") " "
			}
			local i=`i'+1
			local coeff "`coeff'" " \\"
			if `i'==6 {
				local coeff "`coeff'" " [0.05cm]"
			}
			di subinstr("`coeff1'","_"," ",.) "`coeff'"
		}
	}

	di " \hline\hline \\ [-0.1cm]"
	di " \end{tabular}}"
	di " "
	di "  \begin{tablenotes}"
	di "    The table reports estimated \$\beta_3\$ coefficients from t" _continue
	di "he following regression fitted to different~samples:"
	di " "
	di "    \vspace{-0.3cm}"
	di "       \$\$\Delta m_{qUSt}=\beta_0+\beta_1push_{qt}+\beta_2\ln " _continue
	di "dist_{qUS}+\beta_3push_{qt}\times\ln dist_{qUS}+u_{qt},\$\$"
	di "    where \$q\$ indicates origin country, \$k=US\$ indicates de" _continue
	di "stination country (U.S.), \$t\$ indicates time, \$push_{qt}\$ i" _continue
	di "s the indicated push factor, "
	di "    \$\ln dist_{qUS}\$ is the (log) distance between country \$" _continue
	di "q\$ and the U.S., and \$m_{qUSt}\$ is the change between year  " _continue
	di "\$t\$ and \$t-10\$ in the fraction of "
	di "    the U.S. workforce (of a given education or experience grou" _continue
	di "p) that is a migrant from country \$q\$. One push factor at a t" _continue
	di "ime. Different columns present "
	di "    estimates for different push factors as indicated, includin" _continue
	di "g a conflict dummy, an anocracy dummy (political regimes), a di" _continue
	di "saster dummy, and $-\Delta\ln$ GDP "
	di "    per capita. Different rows indicate different subsamples by" _continue
	di " education or experience level as indicated. Standard errors, i" _continue
	di "n parentheses, are clustered "
	di "    by origin country. "
	di " \end{tablenotes}"
	di " \vspace{-0.5cm}"
	di " \end{table}"

	qui log close



	****** Anecdotal evidence (Table C1) 

 
	local labels "__\hspace{0.5cm}_Australia/New_Zealand_ " ///
				 "__\hspace{0.5cm}_Europe________________ " ///
				 "__\hspace{0.5cm}_U.S./Canada___________ "
 
	local path="$tabfold"
	qui log using "`path'DS_Specific_Wars_Disast.tex", text replace

	di " "
	di " \begin{table}[!h]\centering"
	di "   \caption{Regional Distribution of Net Migration Flows to OECD " _continue
	di "Countries by Educational Level After Selected Conflicts and Natur" _continue
	di "al Disasters (1990-2000)}"
	di "   \label{tab:specific-wars}"
	di " "
	di " \begin{tabular}{@{\hskip 0.3cm}lC{1.3cm}C{1.3cm}C{1.3cm}C{1.3cm}" _continue
	di "R{1.3cm}@{\hskip 0.2cm}}"
	di "   \\ [-0.25cm]"
	di " \hline\hline \\ [-0.25cm]"
	di "               &       &         &           &          & \multic" _continue
	di "olumn{1}{c}{Weighted}  \\ [0.05cm]"
	di "               & Total & Primary & \multicolumn{1}{c}{\hspace{-0." _continue
	di "15cm} Secondary} & Tertiary &\multicolumn{1}{c}{dist" _continue
	di ".~(km)} \\ [0.05cm]"
	di " \hline \\ [-0.15cm]"
	di "                     &               \multicolumn{5}{c}{\bf A. Co" _continue
	di "nflicts} \\ [0.05cm]"
	di " \cline{2-6} \\ [-0.25cm]"
	di " \multicolumn{6}{l}{\textit{i. Balkans War}} \\ [0.05cm]"

	forvalues j=0/6 {
		local i=1
		if `j'<=2 {
			local term "wars"
			if `j'==0 local k=0
		}
		else {
			local term "disasters"
			if `j'==3 local k=0
		}
		foreach v of local labels {
			if "`v'"!=" " {
				local coeff1 `"`v'"'
				local coeff
				forvalues c=1/4 {
					local coeff "`coeff'" "&" ///
					%10s cond(anecdotal_`term'[`i'+3*`k',`c']~=., ///
					string(anecdotal_`term'[`i'+3*`k',`c']*100,"%7.2fc"), ///
					"---") "  "
				}
				local coeff "`coeff'" "&" ///
					%10s cond(anecdotal_`term'[`i'+3*`k',5]~=., ///
					string(anecdotal_`term'[`i'+3*`k',5],"%7.0fc"), ///
					"---") "   \\"
				local ++i
				if `i'==4 {
					local coeff "`coeff'" " [0.15cm]"
				}
				di subinstr("`coeff1'","_"," ",.) "`coeff'"
			}
		}
		local ++k
		if `j'==0 {
			di " \multicolumn{6}{l}{\textit{ii. African Conflicts}} \\ [0.05cm]"
		}
		else if `j'==1 {
			di " \multicolumn{6}{l}{\textit{iii. Middle East Conflicts}} \\ [0.05cm]"
		}
		else if `j'==2 {
			di " \hline \\ [-0.15cm]"
			di "                     &               \multicolumn{5}{c}" _continue
			di "{\bf B. Natural Disasters} \\ [0.05cm]"
			di " \cline{2-6} \\ [-0.25cm]"
			di " \multicolumn{6}{l}{\textit{i. Cyclone Gorky (Banglades" _continue
			di "h, 1991)}} \\ [0.05cm]"
		}
		else if `j'==3 {
			di " \multicolumn{6}{l}{\textit{ii. Manjil-Rudbar Earthquak" _continue
			di "e (Iran, 1990)}} \\ [0.05cm]"
		}
		else if `j'==4 {
			di " \multicolumn{6}{l}{\textit{iii. \.Izmit Earthquake (Tu" _continue
			di "rkey, 1999)}} \\ [0.05cm]"
		}
		else if `j'==5 {
			di " \multicolumn{6}{l}{\textit{iv. Vargas Tragedy (Venezue" _continue
			di "lan flood, 1999)}} \\ [0.05cm]"
		}
	}
	
	di " \hline\hline \\ [-0.25cm]"
	di " \end{tabular}"
	di " "
	di " \begin{tablenotes}"
	di "    The table presents the regional distribution of net inflows" _continue
	di " of immigrants in different groups of destination countries fro" _continue
	di "m a selection of origin countries"
	di "    affected by conflicts (panel A) and natural disasters (pane" _continue
	di "l B). European destination countries include EU-15 (excluding L" _continue
	di "uxembourg and Ireland), Norway, and"
	di "    Switzerland. Balkans War affected the countries that consti" _continue
	di "tuted the former Yugoslavia. African civil conflicts include th" _continue
	di "ose that happened in Algeria,"
	di `"    Angola, Burundi, former Za\"ire, Ethiopia/Eritrea, Liberi"' _continue
	di "a, Mali/Niger (Touareg rebellion), Rwanda, Sierra Leone, and Su" _continue
	di "dan during 1990s. Middle East"
	di "    conflicts comprise war episodes in Afghanistan, Iraq, Leban" _continue
	di "on, Tajikistan, and Yemen. Distance is weighted by stock of imm" _continue
	di "igrants from each country pair in"
	di "    1990. \emph{Data sources}: \citet{DocquierMarfouk06} (migra" _continue
	di "nt stocks), \citet*{Gleditschetal02} (conflicts), \citet{EMDAT1" _continue
	di "0} (disasters)."
	di " \end{tablenotes}"
	di " \vspace{-0.4cm}"
	di " \end{table}"

	qui log close


  end
  
  
