
 *---------------------------- Prepare the base file ----------------------------*

  program define basefile
	local regional `1'
	
	clear
	
	if `regional'==0 {
	   local nr=11
	   local filename "Instrument.dta"
	}
	else if `regional'==1 {
	   local nr=23
	   local filename "Instrument_region.dta"
	}


	local obsnum=188*`nr'*5
	set obs `obsnum'
	 
	gen numi=.
	gen codej=.
	gen period=.
	 
	qui forvalues j=1/188 {
		forvalues i=1/`nr' {
			forvalues t=1/5 {
				local obsno=`t'+(`j'-1)*`nr'*5+(`i'-1)*5
				replace numi=`i' in `obsno'
				replace codej=`j' in `obsno'
				replace period=`t' in `obsno'
			}
		}
	}
	
	
	if `regional'==0 {
		gen codei="AUT"	
		replace codei="CAN" if numi==2
		replace codei="CHE" if numi==3
		replace codei="ESP" if numi==4
		replace codei="FRA" if numi==5
		replace codei="GRC" if numi==6
		replace codei="IRL" if numi==7
		replace codei="ITA" if numi==8
		replace codei="NLD" if numi==9
		replace codei="PRT" if numi==10
		replace codei="USA" if numi==11
	}
	else if `regional'==1 {
		gen codei="AUT"	
		replace codei="CHE" if numi==2
		replace codei="ESP" if numi==3
		replace codei="FRA" if numi==4
		replace codei="GRC" if numi==5
		replace codei="IRL" if numi==6
		replace codei="ITA" if numi==7
		replace codei="NLD" if numi==8
		replace codei="PRT" if numi==9
		replace codei="CAN_ATL" if numi==10
		replace codei="CAN_BC"  if numi==11
		replace codei="CAN_ON"  if numi==12
		replace codei="CAN_Q"   if numi==13
		replace codei="CAN_PRA" if numi==14
		replace codei="US_ENC" if numi==15
		replace codei="US_ESC" if numi==16
		replace codei="US_MA"  if numi==17
		replace codei="US_MO"  if numi==18
		replace codei="US_NE"  if numi==19
		replace codei="US_P"   if numi==20
		replace codei="US_SA"  if numi==21
		replace codei="US_WNC" if numi==22
		replace codei="US_WSC" if numi==23
	}


	gen isoj="AFG"
	replace isoj="ALB" if codej==2
	replace isoj="DZA" if codej==3
	replace isoj="AGO" if codej==4
	replace isoj="ATG" if codej==5
	replace isoj="ARG" if codej==6
	replace isoj="ARM" if codej==7
	replace isoj="AUS" if codej==8
	replace isoj="AUT" if codej==9
	replace isoj="AZE" if codej==10
	replace isoj="BHS" if codej==11
	replace isoj="BHR" if codej==12
	replace isoj="BGD" if codej==13
	replace isoj="BRB" if codej==14
	replace isoj="BLR" if codej==15
	replace isoj="BEL" if codej==16
	replace isoj="BLZ" if codej==17
	replace isoj="BEN" if codej==18
	replace isoj="BMU" if codej==19
	replace isoj="BTN" if codej==20
	replace isoj="BOL" if codej==21
	replace isoj="BIH" if codej==22
	replace isoj="BWA" if codej==23
	replace isoj="BRA" if codej==24
	replace isoj="BRN" if codej==25
	replace isoj="BGR" if codej==26
	replace isoj="BFA" if codej==27
	replace isoj="BDI" if codej==28
	replace isoj="KHM" if codej==29
	replace isoj="CMR" if codej==30
	replace isoj="CAN" if codej==31
	replace isoj="CPV" if codej==32
	replace isoj="CAF" if codej==33
	replace isoj="TCD" if codej==34
	replace isoj="CHL" if codej==35
	replace isoj="CHN" if codej==36
	replace isoj="COL" if codej==37
	replace isoj="COM" if codej==38
	replace isoj="ZAR" if codej==39
	replace isoj="COG" if codej==40
	replace isoj="CRI" if codej==41
	replace isoj="CIV" if codej==42
	replace isoj="HRV" if codej==43
	replace isoj="CUB" if codej==44
	replace isoj="CYP" if codej==45
	replace isoj="CZE" if codej==46
	replace isoj="DNK" if codej==47
	replace isoj="DJI" if codej==48
	replace isoj="DMA" if codej==49
	replace isoj="DOM" if codej==50
	replace isoj="ECU" if codej==51
	replace isoj="EGY" if codej==52
	replace isoj="SLV" if codej==53
	replace isoj="GNQ" if codej==54
	replace isoj="ERI" if codej==55
	replace isoj="EST" if codej==56
	replace isoj="ETH" if codej==57
	replace isoj="FJI" if codej==58
	replace isoj="FIN" if codej==59
	replace isoj="FRA" if codej==60
	replace isoj="GAB" if codej==61
	replace isoj="GMB" if codej==62
	replace isoj="GEO" if codej==63
	replace isoj="GER" if codej==64
	replace isoj="GHA" if codej==65
	replace isoj="GRC" if codej==66
	replace isoj="GRD" if codej==67
	replace isoj="GTM" if codej==68
	replace isoj="GIN" if codej==69
	replace isoj="GNB" if codej==70
	replace isoj="GUY" if codej==71
	replace isoj="HTI" if codej==72
	replace isoj="HND" if codej==73
	replace isoj="HKG" if codej==74
	replace isoj="HUN" if codej==75
	replace isoj="ISL" if codej==76
	replace isoj="IND" if codej==77
	replace isoj="IDN" if codej==78
	replace isoj="IRN" if codej==79
	replace isoj="IRQ" if codej==80
	replace isoj="IRL" if codej==81
	replace isoj="ISR" if codej==82
	replace isoj="ITA" if codej==83
	replace isoj="JAM" if codej==84
	replace isoj="JPN" if codej==85
	replace isoj="JOR" if codej==86
	replace isoj="KAZ" if codej==87
	replace isoj="KEN" if codej==88
	replace isoj="KIR" if codej==89
	replace isoj="PRK" if codej==90
	replace isoj="KOR" if codej==91
	replace isoj="KWT" if codej==92
	replace isoj="KGZ" if codej==93
	replace isoj="LAO" if codej==94
	replace isoj="LVA" if codej==95
	replace isoj="LBN" if codej==96
	replace isoj="LSO" if codej==97
	replace isoj="LBR" if codej==98
	replace isoj="LBY" if codej==99
	replace isoj="LTU" if codej==100
	replace isoj="LUX" if codej==101
	replace isoj="MAC" if codej==102
	replace isoj="MKD" if codej==103
	replace isoj="MDG" if codej==104
	replace isoj="MWI" if codej==105
	replace isoj="MYS" if codej==106
	replace isoj="MDV" if codej==107
	replace isoj="MLI" if codej==108
	replace isoj="MLT" if codej==109
	replace isoj="MRT" if codej==110
	replace isoj="MUS" if codej==111
	replace isoj="MEX" if codej==112
	replace isoj="FSM" if codej==113
	replace isoj="MDA" if codej==114
	replace isoj="MNG" if codej==115
	replace isoj="MAR" if codej==116
	replace isoj="MOZ" if codej==117
	replace isoj="NAM" if codej==118
	replace isoj="NPL" if codej==119
	replace isoj="NLD" if codej==120
	replace isoj="ANT" if codej==121
	replace isoj="NZL" if codej==122
	replace isoj="NIC" if codej==123
	replace isoj="NER" if codej==124
	replace isoj="NGA" if codej==125
	replace isoj="NOR" if codej==126
	replace isoj="OMN" if codej==127
	replace isoj="PAK" if codej==128
	replace isoj="PLW" if codej==129
	replace isoj="PAN" if codej==130
	replace isoj="PNG" if codej==131
	replace isoj="PRY" if codej==132
	replace isoj="PER" if codej==133
	replace isoj="PHL" if codej==134
	replace isoj="POL" if codej==135
	replace isoj="PRT" if codej==136
	replace isoj="PRI" if codej==137
	replace isoj="QAT" if codej==138
	replace isoj="ROM" if codej==139
	replace isoj="RUS" if codej==140
	replace isoj="RWA" if codej==141
	replace isoj="WSM" if codej==142
	replace isoj="STP" if codej==143
	replace isoj="SAU" if codej==144
	replace isoj="SEN" if codej==145
	replace isoj="SRB" if codej==146
	replace isoj="SYC" if codej==147
	replace isoj="SLE" if codej==148
	replace isoj="SGP" if codej==149
	replace isoj="SVK" if codej==150
	replace isoj="SVN" if codej==151
	replace isoj="SLB" if codej==152
	replace isoj="SOM" if codej==153
	replace isoj="ZAF" if codej==154
	replace isoj="ESP" if codej==155
	replace isoj="LKA" if codej==156
	replace isoj="KNA" if codej==157
	replace isoj="LCA" if codej==158
	replace isoj="VCT" if codej==159
	replace isoj="SDN" if codej==160
	replace isoj="SUR" if codej==161
	replace isoj="SWZ" if codej==162
	replace isoj="SWE" if codej==163
	replace isoj="CHE" if codej==164
	replace isoj="SYR" if codej==165
	replace isoj="TWN" if codej==166
	replace isoj="TJK" if codej==167
	replace isoj="TZA" if codej==168
	replace isoj="THA" if codej==169
	replace isoj="TGO" if codej==170
	replace isoj="TON" if codej==171
	replace isoj="TTO" if codej==172
	replace isoj="TUN" if codej==173
	replace isoj="TUR" if codej==174
	replace isoj="TKM" if codej==175
	replace isoj="UGA" if codej==176
	replace isoj="UKR" if codej==177
	replace isoj="ARE" if codej==178
	replace isoj="GBR" if codej==179
	replace isoj="USA" if codej==180
	replace isoj="URY" if codej==181
	replace isoj="UZB" if codej==182
	replace isoj="VUT" if codej==183
	replace isoj="VEN" if codej==184
	replace isoj="VNM" if codej==185
	replace isoj="YEM" if codej==186
	replace isoj="ZMB" if codej==187
	replace isoj="ZWE" if codej==188

	replace period=1960 if period==1
	replace period=1970 if period==2
	replace period=1980 if period==3
	replace period=1990 if period==4
	replace period=2000 if period==5

	keep codei isoj period
	sort isoj codei
	local path="$prepared"
	save "`path'`filename'", replace

  
  end
	  
