 *----- Cleans bilateral dataset for exogenous stocks in networks instrument -----
 
 program define bilateral
 
	**** Bilateral migration
	
	clear
	
	local path="$datinstr"
	import excel codeij codei countryi codej countryj period year qualityflag ///
		stockij  group totaltoshare using "`path'Bilateral_migration.xls", ///
		clear cellrange(A2) sheet("Data")
 
	keep if year==1960 | year==1970 | year==1980 | year==1990 | year==2000
	drop if countryi==countryj
	drop if countryi=="Korea, Rep." & countryj=="Korea, Republic of"
	gen temp1=1
	bysort codei group year: egen countgr=sum(temp1)
	replace stockij=totaltoshare if countgr==1 & totaltoshare!=. & group!="NIU"
	replace totaltoshare=0 if countgr==1 & totaltoshare!=.
	gen avgroup=totaltoshare/countgr
	replace avgroup=stockij if stockij!=.

	keep avgroup countryi countryj year
	
	rename avgroup stockij
	rename year period

	gen WBcode_q=""
	replace WBcode_q="ALB" if countryj=="Albania"
	replace WBcode_q="AUT" if countryj=="Austria"
	replace WBcode_q="BEL" if countryj=="Belgium"
	replace WBcode_q="BGR" if countryj=="Bulgaria"
	replace WBcode_q="CAN" if countryj=="Canada"
	replace WBcode_q="CHN" if countryj=="China"
	replace WBcode_q="CYP" if countryj=="Cyprus"
	replace WBcode_q="DNK" if countryj=="Denmark"
	replace WBcode_q="EGY" if countryj=="Egypt"
	replace WBcode_q="FJI" if countryj=="Fiji"
	replace WBcode_q="FIN" if countryj=="Finland"
	replace WBcode_q="FRA" if countryj=="France"
	replace WBcode_q="DEU" if countryj=="Germany"
	replace WBcode_q="GRC" if countryj=="Greece"
	replace WBcode_q="HKG" if countryj=="Hong Kong"
	replace WBcode_q="HUN" if countryj=="Hungary"
	replace WBcode_q="IND" if countryj=="India"
	replace WBcode_q="IDN" if countryj=="Indonesia"
	replace WBcode_q="IRL" if countryj=="Ireland"
	replace WBcode_q="ISR" if countryj=="Israel"
	replace WBcode_q="ITA" if countryj=="Italy"
	replace WBcode_q="JPN" if countryj=="Japan"
	replace WBcode_q="LBN" if countryj=="Lebanon"
	replace WBcode_q="MLT" if countryj=="Malta"
	replace WBcode_q="NLD" if countryj=="Netherlands"
	replace WBcode_q="NZL" if countryj=="New Zealand"
	replace WBcode_q="NOR" if countryj=="Norway"
	replace WBcode_q="PAK" if countryj=="Pakistan"
	replace WBcode_q="PNG" if countryj=="Papua New Guinea"
	replace WBcode_q="PHL" if countryj=="Philippines"
	replace WBcode_q="POL" if countryj=="Poland"
	replace WBcode_q="PRT" if countryj=="Portugal"
	replace WBcode_q="ROM" if countryj=="Romania"
	replace WBcode_q="SGP" if countryj=="Singapore"
	replace WBcode_q="ZAF" if countryj=="South Africa"
	replace WBcode_q="ESP" if countryj=="Spain"
	replace WBcode_q="LKA" if countryj=="Sri Lanka"
	replace WBcode_q="SWE" if countryj=="Sweden"
	replace WBcode_q="CHE" if countryj=="Switzerland"
	replace WBcode_q="SYR" if countryj=="Syria"
	replace WBcode_q="THA" if countryj=="Thailand"
	replace WBcode_q="TUR" if countryj=="Turkey"
	replace WBcode_q="GBR" if countryj=="United Kingdom"
	replace WBcode_q="USA" if countryj=="United States"
	replace WBcode_q="DZA" if countryj=="Algeria"
	replace WBcode_q="AUS" if countryj=="Australia"
	replace WBcode_q="BRA" if countryj=="Brazil"
	replace WBcode_q="COD" if countryj=="Congo, Dem. Rep."
	replace WBcode_q="LUX" if countryj=="Luxembourg"
	replace WBcode_q="MAR" if countryj=="Morocco"
	replace WBcode_q="TUN" if countryj=="Tunisia"
	replace WBcode_q="ARG" if countryj=="Argentina"
	replace WBcode_q="LBY" if countryj=="Libya"
	replace WBcode_q="SOM" if countryj=="Somalia"
	replace WBcode_q="TWN" if countryj=="Taiwan"
	replace WBcode_q="VEN" if countryj=="Venezuela"
	replace WBcode_q="KOR" if countryj=="Korea, Republic of"
	replace WBcode_q="ISL" if countryj=="Iceland"
	replace WBcode_q="CHL" if countryj=="Chile"
	replace WBcode_q="COL" if countryj=="Colombia"
	replace WBcode_q="IRN" if countryj=="Iran"
	replace WBcode_q="MEX" if countryj=="Mexico"
	replace WBcode_q="AFG" if countryj=="Afghanistan"
	replace WBcode_q="AGO" if countryj=="Angola"
	replace WBcode_q="BEN" if countryj=="Benin"
	replace WBcode_q="BTN" if countryj=="Bhutan"
	replace WBcode_q="BOL" if countryj=="Bolivia"
	replace WBcode_q="BFA" if countryj=="Burkina Faso"
	replace WBcode_q="KHM" if countryj=="Cambodia"
	replace WBcode_q="CMR" if countryj=="Cameroon"
	replace WBcode_q="CAF" if countryj=="Central African Republic"
	replace WBcode_q="COG" if countryj=="Congo, Republic of"
	replace WBcode_q="CRI" if countryj=="Costa Rica"
	replace WBcode_q="CIV" if countryj=="Cote d`Ivoire"
	replace WBcode_q="CUB" if countryj=="Cuba"
	replace WBcode_q="DOM" if countryj=="Dominican Republic"
	replace WBcode_q="ECU" if countryj=="Ecuador"
	replace WBcode_q="SLV" if countryj=="El Salvador"
	replace WBcode_q="GNQ" if countryj=="Equatorial Guinea"
	replace WBcode_q="GAB" if countryj=="Gabon"
	replace WBcode_q="GHA" if countryj=="Ghana"
	replace WBcode_q="GTM" if countryj=="Guatemala"
	replace WBcode_q="GIN" if countryj=="Guinea"
	replace WBcode_q="HTI" if countryj=="Haiti"
	replace WBcode_q="HND" if countryj=="Honduras"
	replace WBcode_q="IRQ" if countryj=="Iraq"
	replace WBcode_q="JOR" if countryj=="Jordan"
	replace WBcode_q="KEN" if countryj=="Kenya"
	replace WBcode_q="KWT" if countryj=="Kuwait"
	replace WBcode_q="LAO" if countryj=="Laos"
	replace WBcode_q="LBR" if countryj=="Liberia"
	replace WBcode_q="MAC" if countryj=="Macao"
	replace WBcode_q="MDG" if countryj=="Madagascar"
	replace WBcode_q="MYS" if countryj=="Malaysia"
	replace WBcode_q="MDV" if countryj=="Maldives"
	replace WBcode_q="MLI" if countryj=="Mali"
	replace WBcode_q="MNG" if countryj=="Mongolia"
	replace WBcode_q="MOZ" if countryj=="Mozambique"
	replace WBcode_q="NPL" if countryj=="Nepal"
	replace WBcode_q="NIC" if countryj=="Nicaragua"
	replace WBcode_q="NGA" if countryj=="Nigeria"
	replace WBcode_q="PAN" if countryj=="Panama"
	replace WBcode_q="PRY" if countryj=="Paraguay"
	replace WBcode_q="PER" if countryj=="Peru"
	replace WBcode_q="PRI" if countryj=="Puerto Rico"
	replace WBcode_q="RWA" if countryj=="Rwanda"
	replace WBcode_q="SAU" if countryj=="Saudi Arabia"
	replace WBcode_q="SEN" if countryj=="Senegal"
	replace WBcode_q="SLE" if countryj=="Sierra Leone"
	replace WBcode_q="SDN" if countryj=="Sudan"
	replace WBcode_q="SUR" if countryj=="Suriname"
	replace WBcode_q="TZA" if countryj=="Tanzania"
	replace WBcode_q="TGO" if countryj=="Togo"
	replace WBcode_q="UGA" if countryj=="Uganda"
	replace WBcode_q="URY" if countryj=="Uruguay"
	replace WBcode_q="VNM" if countryj=="Vietnam"
	replace WBcode_q="BLZ" if countryj=="Belize"
	replace WBcode_q="GUY" if countryj=="Guyana"
	replace WBcode_q="JAM" if countryj=="Jamaica"
	replace WBcode_q="TTO" if countryj=="Trinidad &Tobago"
	replace WBcode_q="MUS" if countryj=="Mauritius"
	replace WBcode_q="SLB" if countryj=="Solomon Islands"
	replace WBcode_q="TON" if countryj=="Tonga"
	replace WBcode_q="BDI" if countryj=="Burundi"
	replace WBcode_q="BHS" if countryj=="Bahamas"
	replace WBcode_q="BRB" if countryj=="Barbados"
	replace WBcode_q="BMU" if countryj=="Bermuda"
	replace WBcode_q="BWA" if countryj=="Botswana"
	replace WBcode_q="BRN" if countryj=="Brunei"
	replace WBcode_q="TCD" if countryj=="Chad"
	replace WBcode_q="DJI" if countryj=="Djibouti"
	replace WBcode_q="GMB" if countryj=="Gambia, The"
	replace WBcode_q="GNB" if countryj=="Guinea-Bissau"
	replace WBcode_q="PRK" if countryj=="Korea, Dem. Rep."
	replace WBcode_q="MWI" if countryj=="Malawi"
	replace WBcode_q="MRT" if countryj=="Mauritania"
	replace WBcode_q="NAM" if countryj=="Namibia"
	replace WBcode_q="ANT" if countryj=="Netherlands Antilles"
	replace WBcode_q="NER" if countryj=="Niger"
	replace WBcode_q="OMN" if countryj=="Oman"
	replace WBcode_q="SYC" if countryj=="Seychelles"
	replace WBcode_q="SWZ" if countryj=="Swaziland"
	replace WBcode_q="ARE" if countryj=="United Arab Emirates"
	replace WBcode_q="YEM" if countryj=="Yemen"
	replace WBcode_q="ZMB" if countryj=="Zambia"
	replace WBcode_q="ZWE" if countryj=="Zimbabwe"
	replace WBcode_q="BGD" if countryj=="Bangladesh"
	replace WBcode_q="WSM" if countryj=="Samoa"
	replace WBcode_q="ATG" if countryj=="Antigua"
	replace WBcode_q="BHR" if countryj=="Bahrain"
	replace WBcode_q="CPV" if countryj=="Cape Verde"
	replace WBcode_q="COM" if countryj=="Comoros"
	replace WBcode_q="DMA" if countryj=="Dominica"
	replace WBcode_q="GRD" if countryj=="Grenada"
	replace WBcode_q="KIR" if countryj=="Kiribati"
	replace WBcode_q="LSO" if countryj=="Lesotho"
	replace WBcode_q="FSM" if countryj=="Micronesia, Fed. Sts."
	replace WBcode_q="PLW" if countryj=="Palau"
	replace WBcode_q="QAT" if countryj=="Qatar"
	replace WBcode_q="STP" if countryj=="Sao Tome and Principe"
	replace WBcode_q="KNA" if countryj=="St. Kitts & Nevis"
	replace WBcode_q="LCA" if countryj=="St. Lucia"
	replace WBcode_q="VCT" if countryj=="St.Vincent & Grenadines"
	replace WBcode_q="VUT" if countryj=="Vanuatu"
	replace WBcode_q="RUS" if countryj=="Russia"
	replace WBcode_q="ARM" if countryj=="Armenia"
	replace WBcode_q="AZE" if countryj=="Azerbaijan"
	replace WBcode_q="BLR" if countryj=="Belarus"
	replace WBcode_q="BIH" if countryj=="Bosnia and Herzegovina"
	replace WBcode_q="HRV" if countryj=="Croatia"
	replace WBcode_q="CZE" if countryj=="Czech Republic"
	replace WBcode_q="ERI" if countryj=="Eritrea"
	replace WBcode_q="EST" if countryj=="Estonia"
	replace WBcode_q="ETH" if countryj=="Ethiopia"
	replace WBcode_q="GEO" if countryj=="Georgia"
	replace WBcode_q="KAZ" if countryj=="Kazakhstan"
	replace WBcode_q="KGZ" if countryj=="Kyrgyzstan"
	replace WBcode_q="LVA" if countryj=="Latvia"
	replace WBcode_q="LTU" if countryj=="Lithuania"
	replace WBcode_q="MKD" if countryj=="Macedonia"
	replace WBcode_q="MDA" if countryj=="Moldova"
	replace WBcode_q="SRB" if countryj=="Serbia and Montenegro"
	replace WBcode_q="SVK" if countryj=="Slovak Republic"
	replace WBcode_q="SVN" if countryj=="Slovenia"
	replace WBcode_q="TJK" if countryj=="Tajikistan"
	replace WBcode_q="TKM" if countryj=="Turkmenistan"
	replace WBcode_q="UKR" if countryj=="Ukraine"
	replace WBcode_q="UZB" if countryj=="Uzbekistan"
   
	gen WBcode_k=""
	replace WBcode_k="AUT" if countryi=="Austia"
	replace WBcode_k="IRL" if countryi=="Ireland"
	replace WBcode_k="CAN" if countryi=="Canada"
	replace WBcode_k="PRT" if countryi=="Portugal"
	replace WBcode_k="FRA" if countryi=="France"
	replace WBcode_k="ESP" if countryi=="Spain"
	replace WBcode_k="GRC" if countryi=="Greece"
	replace WBcode_k="CHE" if countryi=="Switzerland"
	replace WBcode_k="USA" if countryi=="United States"
  
	sort WBcode_q WBcode_k period
 
	gen cntry=.
	replace cntry=40 if WBcode_k=="AUT"
 	replace cntry=124 if WBcode_k=="CAN"
 	replace cntry=756 if WBcode_k=="CHE"
 	replace cntry=250 if WBcode_k=="FRA"
 	replace cntry=300 if WBcode_k=="GRC"
 	replace cntry=372 if WBcode_k=="IRL"
 	replace cntry=840 if WBcode_k=="USA"
		
	rename WBcode_q isoj
	rename WBcode_k codei

	local path="$prepared"
	save "`path'Shares_networks_predicted.dta", replace
	

	**** Distances
	
	clear
	
	local path="$datinstr"
	use "`path'Distances_complete.dta", clear
	
	keep if iso2=="ABW"
	replace id2=239
	replace iso2="ZWE"
	replace country2="Zimbabwe"
	replace city_en2="Harare"
	replace lat2=-17.83333333333
	replace lon2=31.05
	drop dist log_distance
	
	vincenty lat1 lon1 lat2 lon2, v(v) hav(h) l(loc) inkm 
 
	egen dist=rowmean(v h loc)
	gen log_distance=ln(dist)
	drop v h loc
	
	set obs 239
	replace id1=239 in 239
	replace iso1="ZWE" in 239
	replace country1="Zimbabwe" in 239
	replace city_en1="Harare" in 239
	replace lat1=-17.83333333333 in 239
	replace lon1=31.05 in 239
	replace id2=239 in 239
	replace iso2="ZWE" in 239
	replace country2="Zimbabwe" in 239
	replace city_en2="Harare" in 239
	replace lat2=-17.83333333333 in 239
	replace lon2=31.05 in 239
	
	local path="$datinstr"
	append using "`path'Distances_complete.dta"

	keep iso1 iso2 log_distance
	rename iso1 codei
	rename iso2 isoj
	
	replace codei="GER" if codei=="DEU"
	replace isoj="GER" if isoj=="DEU"
	replace codei="SRB" if codei=="YUG"
	replace isoj="SRB" if isoj=="YUG"
	sort isoj codei 
	
	drop if codei==""
	drop if isoj==""

	local path="$prepared"
	merge 1:m isoj codei using "`path'Shares_networks_predicted.dta"
	drop if _merge==1
	drop _merge
	rename log_distance ldist
	rename codei isoi
	
	local path="$prepared"
	save "`path'Shares_networks_predicted.dta", replace

	**** Push Factors
	
	clear
	
	local path="$datinstr"
	use "`path'Economic_vars_pwt_raw.dta", clear

	local path="$datinstr"
	merge 1:1 isoj year using "`path'Ted_emp.dta"
	drop _merge

	local path="$datinstr"
	merge m:1 isoj using "`path'Area.dta"
	drop _merge

	gen period=1960
	replace period=1970 if year>=1960
	replace period=1980 if year>=1970
	replace period=1990 if year>=1980
	replace period=2000 if year>=1990
	drop if year>=2000
	
	gen double gdppc=real(rgdpch)
	bys isoj period: egen lny=mean(gdppc)
	replace lny=ln(lny)
	gen avlny=ln(gdppc)
	
	gen double dens=real(pop)/area
	bys isoj period: egen lndens=mean(dens)
	replace lndens=ln(lndens)
	gen avlndens=ln(dens)
	
	gen double rer=real(xrat)/real(ppp)
	
	gen double emprate=emp/real(pop)
	bys isoj period: egen lnemp=mean(emp)
	replace lnemp=ln(lnemp)
	gen avlnemp=ln(emp)
	
	tsset codej year
	gen dlny=d.avlny
	
	gen larea=ln(area)
		
	collapse (mean) lny dens rer emprate dlny larea, by(isoj countryj period)
	
	local path="$datinstr"
	`sil' merge 1:1 isoj period using "`path'Push_factors.dta"
	drop _merge
	
	drop lny
	rename lny_old lny
	
	gen regime=.
	replace regime=0 if polity>-6 & polity<6
	replace regime=1 if polity<=-6 | polity>=6
	
	gen democracy=max(polity,0)
	gen autocracy=-min(polity,0)
	
	gen abspol=abs(polity)
	
	gen wardummy=0
	replace wardummy=1 if war>0

	local path="$prepared"
	merge 1:m period isoj using "`path'Shares_networks_predicted.dta"
	drop if _merge==1
	drop _merge
	
	rename earthquake equake
    foreach t in killed affected damage damage_raw {
		rename earthquake_`t' equake_`t'
	}	
	
	foreach v in drought equake flood storm {
		  foreach t in killed affected damage damage_raw {
			gen `v'_`t'_pop=`v'_`t'/population_t0
		  }
	}
	
	gen disasters=drought+equake+flood+storm
	gen disasters_killed=drought_killed_pop+equake_killed_pop+flood_killed_pop+ ///
								storm_killed_pop
	gen disasters_affected=drought_affected_pop+equake_affected_pop+ ///
								flood_affected_pop+storm_affected_pop
	gen disasters_damage=drought_damage_pop+equake_damage_pop+ ///
								flood_damage_pop+storm_damage_pop
	gen disasters_damage_raw=drought_damage_raw_pop+equake_damage_raw_pop+ ///
								flood_damage_raw_pop+storm_damage_raw_pop	
		
	gen lnstockij=ln(stockij)
	gen dist_war=war*ldist
	gen dist_regime=regime*ldist
	gen dist_disast=disasters_affected*ldist
	gen dist_lny=lny*ldist
	
	reg lnstockij war regime lny ldist larea drought storm equake flood i.cntry, r
	predict predmig, xb
	replace predmig=exp(predmig)

	
	reg lnstockij war regime lny ldist larea drought storm equake flood if cntry==840, r
	predict predmigUS, xb
	replace predmigUS=exp(predmigUS)
	
	gen origin=.

	replace origin=14 if isoj=="AFG"
	replace origin=8 if isoj=="ALB"
	replace origin=15 if isoj=="DZA"
	replace origin=16 if isoj=="AGO"
	replace origin=4 if isoj=="ATG"
	replace origin=5 if isoj=="ARG"
	replace origin=15 if isoj=="ARM"
	replace origin=17 if isoj=="AUS"
	replace origin=7 if isoj=="AUT"
	replace origin=15 if isoj=="AZE"
	replace origin=4 if isoj=="BHS"
	replace origin=15 if isoj=="BHR"
	replace origin=14 if isoj=="BGD"
	replace origin=4 if isoj=="BRB"
	replace origin=9 if isoj=="BLR"
	replace origin=7 if isoj=="BEL"
	replace origin=2 if isoj=="BLZ"
	replace origin=16 if isoj=="BEN"
	replace origin=17 if isoj=="BMU"
	replace origin=14 if isoj=="BTN"
	replace origin=5 if isoj=="BOL"
	replace origin=8 if isoj=="BIH"
	replace origin=16 if isoj=="BWA"
	replace origin=5 if isoj=="BRA"
	replace origin=13 if isoj=="BRN"
	replace origin=9 if isoj=="BGR"
	replace origin=16 if isoj=="BFA"
	replace origin=16 if isoj=="BDI"
	replace origin=13 if isoj=="KHM"
	replace origin=16 if isoj=="CMR"
	replace origin=17 if isoj=="CAN"
	replace origin=16 if isoj=="CPV"
	replace origin=16 if isoj=="CAF"
	replace origin=16 if isoj=="TCD"
	replace origin=5 if isoj=="CHL"
	replace origin=10 if isoj=="CHN"
	replace origin=5 if isoj=="COL"
	replace origin=16 if isoj=="COM"
	replace origin=16 if isoj=="COD"
	replace origin=16 if isoj=="COG"
	replace origin=2 if isoj=="CRI"
	replace origin=16 if isoj=="CIV"
	replace origin=8 if isoj=="HRV"
	replace origin=3 if isoj=="CUB"
	replace origin=15 if isoj=="CYP"
	replace origin=9 if isoj=="CZE"
	replace origin=7 if isoj=="DNK"
	replace origin=16 if isoj=="DJI"
	replace origin=4 if isoj=="DMA"
	replace origin=4 if isoj=="DOM"
	replace origin=5 if isoj=="ECU"
	replace origin=15 if isoj=="EGY"
	replace origin=2 if isoj=="SLV"
	replace origin=16 if isoj=="GNQ"
	replace origin=16 if isoj=="ERI"
	replace origin=7 if isoj=="EST"
	replace origin=16 if isoj=="ETH"
	replace origin=17 if isoj=="FJI"
	replace origin=7 if isoj=="FIN"
	replace origin=7 if isoj=="FRA"
	replace origin=16 if isoj=="GAB"
	replace origin=16 if isoj=="GMB"
	replace origin=15 if isoj=="GEO"
	replace origin=7 if isoj=="DEU"
	replace origin=16 if isoj=="GHA"
	replace origin=8 if isoj=="GRC"
	replace origin=4 if isoj=="GRD"
	replace origin=2 if isoj=="GTM"
	replace origin=16 if isoj=="GIN"
	replace origin=16 if isoj=="GNB"
	replace origin=5 if isoj=="GUY"
	replace origin=4 if isoj=="HTI"
	replace origin=2 if isoj=="HND"
	replace origin=10 if isoj=="HKG"
	replace origin=9 if isoj=="HUN"
	replace origin=7 if isoj=="ISL"
	replace origin=14 if isoj=="IND"
	replace origin=13 if isoj=="IDN"
	replace origin=14 if isoj=="IRN"
	replace origin=15 if isoj=="IRQ"
	replace origin=6 if isoj=="IRL"
	replace origin=15 if isoj=="ISR"
	replace origin=8 if isoj=="ITA"
	replace origin=4 if isoj=="JAM"
	replace origin=11 if isoj=="JPN"
	replace origin=15 if isoj=="JOR"
	replace origin=14 if isoj=="KAZ"
	replace origin=16 if isoj=="KEN"
	replace origin=17 if isoj=="KIR"
	replace origin=11 if isoj=="PRK"
	replace origin=11 if isoj=="KOR"
	replace origin=15 if isoj=="KWT"
	replace origin=14 if isoj=="KGZ"
	replace origin=13 if isoj=="LAO"
	replace origin=7 if isoj=="LVA"
	replace origin=15 if isoj=="LBN"
	replace origin=16 if isoj=="LSO"
	replace origin=16 if isoj=="LBR"
	replace origin=15 if isoj=="LBY"
	replace origin=7 if isoj=="LTU"
	replace origin=7 if isoj=="LUX"
	replace origin=10 if isoj=="MAC"
	replace origin=8 if isoj=="MKD"
	replace origin=16 if isoj=="MDG"
	replace origin=16 if isoj=="MWI"
	replace origin=13 if isoj=="MYS"
	replace origin=14 if isoj=="MDV"
	replace origin=16 if isoj=="MLI"
	replace origin=8 if isoj=="MLT"
	replace origin=16 if isoj=="MRT"
	replace origin=16 if isoj=="MUS"
	replace origin=1 if isoj=="MEX"
	replace origin=17 if isoj=="FSM"
	replace origin=9 if isoj=="MDA"
	replace origin=11 if isoj=="MNG"
	replace origin=15 if isoj=="MAR"
	replace origin=16 if isoj=="MOZ"
	replace origin=16 if isoj=="NAM"
	replace origin=14 if isoj=="NPL"
	replace origin=7 if isoj=="NLD"
	replace origin=4 if isoj=="ANT"
	replace origin=17 if isoj=="NZL"
	replace origin=2 if isoj=="NIC"
	replace origin=16 if isoj=="NER"
	replace origin=16 if isoj=="NGA"
	replace origin=7 if isoj=="NOR"
	replace origin=15 if isoj=="OMN"
	replace origin=14 if isoj=="PAK"
	replace origin=17 if isoj=="PLW"
	replace origin=2 if isoj=="PAN"
	replace origin=17 if isoj=="PNG"
	replace origin=5 if isoj=="PRY"
	replace origin=5 if isoj=="PER"
	replace origin=12 if isoj=="PHL"
	replace origin=9 if isoj=="POL"
	replace origin=8 if isoj=="PRT"
	replace origin=4 if isoj=="PRI"
	replace origin=15 if isoj=="QAT"
	replace origin=9 if isoj=="ROM"
	replace origin=9 if isoj=="RUS"
	replace origin=16 if isoj=="RWA"
	replace origin=17 if isoj=="WSM"
	replace origin=16 if isoj=="STP"
	replace origin=15 if isoj=="SAU"
	replace origin=16 if isoj=="SEN"
	replace origin=8 if isoj=="SRB"
	replace origin=16 if isoj=="SYC"
	replace origin=16 if isoj=="SLE"
	replace origin=13 if isoj=="SGP"
	replace origin=9 if isoj=="SVK"
	replace origin=8 if isoj=="SVN"
	replace origin=17 if isoj=="SLB"
	replace origin=16 if isoj=="SOM"
	replace origin=16 if isoj=="ZAF"
	replace origin=8 if isoj=="ESP"
	replace origin=14 if isoj=="LKA"
	replace origin=4 if isoj=="KNA"
	replace origin=4 if isoj=="LCA"
	replace origin=4 if isoj=="VCT"
	replace origin=15 if isoj=="SDN"
	replace origin=5 if isoj=="SUR"
	replace origin=16 if isoj=="SWZ"
	replace origin=7 if isoj=="SWE"
	replace origin=7 if isoj=="CHE"
	replace origin=15 if isoj=="SYR"
	replace origin=10 if isoj=="TWN"
	replace origin=14 if isoj=="TJK"
	replace origin=16 if isoj=="TZA"
	replace origin=13 if isoj=="THA"
	replace origin=16 if isoj=="TGO"
	replace origin=17 if isoj=="TON"
	replace origin=4 if isoj=="TTO"
	replace origin=15 if isoj=="TUN"
	replace origin=15 if isoj=="TUR"
	replace origin=14 if isoj=="TKM"
	replace origin=16 if isoj=="UGA"
	replace origin=9 if isoj=="UKR"
	replace origin=15 if isoj=="ARE"
	replace origin=6 if isoj=="GBR"
	replace origin=17 if isoj=="USA"
	replace origin=5 if isoj=="URY"
	replace origin=14 if isoj=="UZB"
	replace origin=17 if isoj=="VUT"
	replace origin=5 if isoj=="VEN"
	replace origin=13 if isoj=="VNM"
	replace origin=15 if isoj=="YEM"
	replace origin=16 if isoj=="ZMB"
	replace origin=16 if isoj=="ZWE"
	
	collapse (sum) stockij predmig predmigUS, by(origin period cntry)
	
	local path="$prepared"
	save "`path'Shares_networks_predicted.dta", replace
	
	
  end
