  
 *------------  Generate the table of correlations between push factors  -----------

 program define correlations
 
	qui corr war regime disasters_affected lny if cntry ==840
	qui matrix correlpush=r(C)
 
   ************* Do the table

 
	local labels "______Months_of_war_____________________ " ///
				 "______Political_regimes_________________ " ///
				 "______Natural_disasters_________________ " ///
				 "______GDP_per_capita____________________ "
 
	local path="$tabfold"
	qui log using "`path'IN_Correlations_push.tex", text replace

	di " "
	di " \begin{table}[!t]\centering"
	di "   \caption{Cross-Origin Country Correlation Across Push Factors}"
	di "   \label{tab:correlations-push}"
	di " "
	di " \begin{tabular}{@{\hskip 0.8cm}L{4.5cm}C{1.8cm}@{\hskip 0.8cm}C" _continue
	di "{1.6cm}C{1.8cm}C{1.6cm}@{\hskip 0.2cm}}"
	di "   \\ [-0.25cm]"
	di " \hline\hline \\ [-0.25cm]"
	di "                                        &  Months   & Political " _continue
	di "&  Natural  &  GDP per  \\"
	di "                                        &  of war   &  regime   " _continue
	di "& disasters &  capita   \\"
	di " \hline \\ [-0.15cm] "

	local i=1
	foreach v of local labels {
		if "`v'"!=" " {
			local coeff1 `"`v'"'
			local coeff
			forvalues c=1/`i' {
				local coeff "`coeff'" "&" %9s ///
				string(correlpush[`i',`c'],"%7.3fc") "  "
			}
			local ++i
			forvalues c=`i'/4 {
				local coeff "`coeff'" "&" %11s "  "
			}
			local coeff "`coeff'" " \\ [0.05cm]"
			di subinstr("`coeff1'","_"," ",.) "`coeff'"
		}
	}
	
	di " \hline\hline \\ [-0.25cm]"
	di " \end{tabular}"
	di " "
	di " \begin{tablenotes}"
	di "    The table reports correlation coefficients across origin cou" _continue
	di "ntries and time between the four push factors used to generate t" _continue
	di "he different sets of instruments."
	di " \end{tablenotes}"
	di " \vspace{-0.5cm}"
	di " \end{table}"

	qui log close
 

  end
  
  
