
 *---------------------------- Prepare distance file -----------------------------*

  program define distances
	local regional `1'

	 * Physical distance

	local path="$datinstr"
	use "`path'Distances_complete.dta", clear
	
	**** Add Zimbabwe because it is missing
	
	keep if iso2=="ABW"
	replace id2=239
	replace iso2="ZWE"
	replace country2="Zimbabwe"
	replace city_en2="Harare"
	replace lat2=-17.83333333333
	replace lon2=31.05
	drop dist log_distance
	
	vincenty lat1 lon1 lat2 lon2, v(v) hav(h) l(loc) inkm 
 
	egen dist=rowmean(v h loc)
	gen log_distance=ln(dist)
	drop v h loc
	
	set obs 239
	replace id1=239 in 239
	replace iso1="ZWE" in 239
	replace country1="Zimbabwe" in 239
	replace city_en1="Harare" in 239
	replace lat1=-17.83333333333 in 239
	replace lon1=31.05 in 239
	replace id2=239 in 239
	replace iso2="ZWE" in 239
	replace country2="Zimbabwe" in 239
	replace city_en2="Harare" in 239
	replace lat2=-17.83333333333 in 239
	replace lon2=31.05 in 239
	
	local path="$datinstr"
	append using "`path'Distances_complete.dta"
	
	**** Merge with the saved file for instruments

	drop if iso1=="CAN"
	drop if iso1=="USA"
	
	if `regional'==0 {
		replace iso1="CAN" if country1=="Canada. Ontario"
		replace iso1="USA" if country1=="US. Middle Atlantic division"
		replace country1="Canada" if iso1=="CAN"
		replace country1="United States" if iso1=="USA"

		drop if country1=="Canada. Atlantic region"
		drop if country1=="Canada. British Columbia"
		drop if country1=="Canada. Quebec"
		drop if country1=="Canada. The Prairies region"
		drop if country1=="US. East North Central division"
		drop if country1=="US. East South Central division"
		drop if country1=="US. Mountain division"
		drop if country1=="US. New England division"
		drop if country1=="US. Pacific division"
		drop if country1=="US. South Atlantic division"
		drop if country1=="US. West North Central division"
		drop if country1=="US. West South Central division"

		drop if iso2=="CAN"
		drop if iso2=="USA"
		replace iso2="CAN" if country2=="Canada. Ontario"
		replace iso2="USA" if country2=="US. Middle Atlantic division"
		replace country2="Canada" if iso2=="CAN"
		replace country2="United States" if iso2=="USA"

		drop if country2=="Canada. Atlantic region"
		drop if country2=="Canada. British Columbia"
		drop if country2=="Canada. Quebec"
		drop if country2=="Canada. The Prairies region"
		drop if country2=="US. East North Central division"
		drop if country2=="US. East South Central division"
		drop if country2=="US. Mountain division"
		drop if country2=="US. New England division"
		drop if country2=="US. Pacific division"
		drop if country2=="US. South Atlantic division"
		drop if country2=="US. West North Central division"
		drop if country2=="US. West South Central division"
	}
	else if `regional'==1 {
		replace iso1="CAN_ATL" if country1=="Canada. Atlantic region"
		replace iso1="CAN_BC" if country1=="Canada. British Columbia"
		replace iso1="CAN_ON" if country1=="Canada. Ontario"
		replace iso1="CAN_Q" if country1=="Canada. Quebec"
		replace iso1="CAN_PRA" if country1=="Canada. The Prairies region"
		replace iso1="US_ENC" if country1=="US. East North Central division"
		replace iso1="US_ESC" if country1=="US. East South Central division"
		replace iso1="US_MA" if country1=="US. Middle Atlantic division"
		replace iso1="US_MO" if country1=="US. Mountain division"
		replace iso1="US_NE" if country1=="US. New England division"
		replace iso1="US_P" if country1=="US. Pacific division"
		replace iso1="US_SA" if country1=="US. South Atlantic division"
		replace iso1="US_WNC" if country1=="US. West North Central division"
		replace iso1="US_WSC" if country1=="US. West South Central division"

		drop if country2=="Canada. Atlantic region"
		drop if country2=="Canada. British Columbia"
		drop if country2=="Canada. Ontario"
		drop if country2=="Canada. Quebec"
		drop if country2=="Canada. The Prairies region"
		drop if country2=="US. East North Central division"
		drop if country2=="US. East South Central division"
		drop if country2=="US. Middle Atlantic division"
		drop if country2=="US. Mountain division"
		drop if country2=="US. New England division"
		drop if country2=="US. Pacific division"
		drop if country2=="US. South Atlantic division"
		drop if country2=="US. West North Central division"
		drop if country2=="US. West South Central division"	
	
		replace log_distance=. if iso1=="CAN_ATL" & iso2=="CAN"
		replace log_distance=. if iso1=="CAN_BC"  & iso2=="CAN"
		replace log_distance=. if iso1=="CAN_ON"  & iso2=="CAN"
		replace log_distance=. if iso1=="CAN_Q"   & iso2=="CAN"
		replace log_distance=. if iso1=="CAN_PRA" & iso2=="CAN"

		replace log_distance=. if iso1=="US_ENC" & iso2=="USA"
		replace log_distance=. if iso1=="US_ESC" & iso2=="USA"
		replace log_distance=. if iso1=="US_MA"  & iso2=="USA"
		replace log_distance=. if iso1=="US_MO"  & iso2=="USA"
		replace log_distance=. if iso1=="US_NE"  & iso2=="USA"
		replace log_distance=. if iso1=="US_P"   & iso2=="USA"
		replace log_distance=. if iso1=="US_SA"  & iso2=="USA"
		replace log_distance=. if iso1=="US_WNC" & iso2=="USA"
		replace log_distance=. if iso1=="US_WSC" & iso2=="USA"
	}

	
	keep iso1 iso2 log_distance
	rename iso1 codei
	rename iso2 isoj
	
	replace codei="GER" if codei=="DEU"
	replace isoj="GER" if isoj=="DEU"
	replace codei="SRB" if codei=="YUG"
	replace isoj="SRB" if isoj=="YUG"
	sort isoj codei 
	
	if `regional'==0 {
	  local lkp codei=="CAN"|codei=="USA"|codei=="AUT"|codei=="CHE"|codei=="ESP"| ///
				codei=="FRA"|codei=="GRC"|codei=="IRL"|codei=="ITA"|codei=="NLD"| ///
				codei=="PRT"

	}
	else if `regional'==1 {
	  local lkp codei=="CAN_ATL"|codei=="CAN_BC"|codei=="CAN_ON"|codei=="CAN_Q"| ///
				codei=="CAN_PRA"|codei=="US_ENC"|codei=="US_ESC"|codei=="US_MA"| ///
				codei=="US_MO"  |codei=="US_NE" |codei=="US_P"  |codei=="US_SA"| ///
				codei=="US_WNC" |codei=="US_WSC"|codei=="AUT"   |codei=="CHE"  | ///
				codei=="ESP"	| codei=="FRA"  |codei=="GRC"   |codei=="IRL"  | ///
				codei=="ITA"	|codei=="NLD"   |codei=="PRT"		   
	}
	
	keep if `lkp'

	
	if `regional'==0 {
		local path="$prepared"
		merge 1:m isoj codei using "`path'Instrument.dta"
		drop if _merge==1
		drop _merge
		rename log_distance ldist
		rename codei isoi

		sort period isoj
		local path="$prepared"
		save "`path'Instrument.dta", replace
	}
	else if `regional'==1 {	
		local path="$prepared"
		merge m:m isoj codei using "`path'Instrument_region.dta"
		drop if _merge==1
		drop _merge
		rename log_distance ldist
		rename codei isoi

		sort period isoj
		local path="$prepared"
		save "`path'Instrument_region.dta", replace
	}

	 * Linguistic distance

	if `regional'==0 {
		local path="$datinstr"
		use "`path'Linguistic_distance.dta", clear
		
		rename iso_o isoi
		rename iso_d isoj
		
		replace isoj="GER" if isoj=="DEU"
		replace isoj="ROM" if isoj=="ROU"
		replace isoj="ZAR" if isoj=="COD"
		replace isoj="BEL" if isoj=="BLX"

		keep isoi isoj csl cle

		local path="$prepared"
		merge 1:m isoj isoi using "`path'Instrument.dta"
		drop if _merge==1
		drop _merge

		sort period isoj
		local path="$prepared"
		save "`path'Instrument.dta", replace
	}

  end
