
 *------ Adapt codes, keep the relevant samples, and generate interactions -------*

  program define cleaninst
	local regional `1'
	
	if `regional'==0 {
		gen cntry=40
		replace cntry=124 if isoi=="CAN"
		replace cntry=250 if isoi=="FRA"
		replace cntry=300 if isoi=="GRC"
		replace cntry=372 if isoi=="IRL"
		replace cntry=380 if isoi=="ITA"
		replace cntry=528 if isoi=="NLD"
		replace cntry=620 if isoi=="PRT"
		replace cntry=724 if isoi=="ESP"
		replace cntry=756 if isoi=="CHE"
		replace cntry=840 if isoi=="USA"
	 
		label define cntrylbl  40 "Austria"
		label define cntrylbl 124 "Canada", add
		label define cntrylbl 250 "France", add
		label define cntrylbl 300 "Greece", add
		label define cntrylbl 372 "Ireland", add
		label define cntrylbl 380 "Italy", add
		label define cntrylbl 528 "Netherlands", add
		label define cntrylbl 620 "Portugal", add
		label define cntrylbl 724 "Spain", add
		label define cntrylbl 756 "Switzerland", add
		label define cntrylbl 840 "United States", add
	 
		label values cntry cntrylbl


		drop if (cntry== 40 & (period==1960                               ))| ///
				(cntry==124 & (period==1960                               ))| ///
				(cntry==300 & (period==1960                               ))| ///
				(cntry==372 & (period==1960                               ))| ///
				(cntry==380 & (period==1960 | period==1970 | period==1980 | ///
															 period==1990 ))| ///
				(cntry==528 & (period==1960 | period==1980 | period==1990 ))| ///
				(cntry==620 & (period==1960 | period==1970                ))| ///
				(cntry==724 & (period==1960 | period==1970                ))| ///
				(cntry==756 & (period==1960                               ))
	}
	else if `regional'==1 {	
		gen region=.
		replace region=40 if isoi=="AUT"
		replace region=250 if isoi=="FRA"
		replace region=300 if isoi=="GRC"
		replace region=372 if isoi=="IRL"
		replace region=380 if isoi=="ITA"
		replace region=528 if isoi=="NLD"
		replace region=620 if isoi=="PRT"
		replace region=724 if isoi=="ESP"
		replace region=756 if isoi=="CHE"
		replace region=12401 if isoi=="CAN_ATL"
		replace region=12402 if isoi=="CAN_Q"
		replace region=12403 if isoi=="CAN_ON"
		replace region=12404 if isoi=="CAN_PRA"
		replace region=12405 if isoi=="CAN_BC"
		replace region=84011 if isoi=="US_NE"
		replace region=84012 if isoi=="US_MA"
		replace region=84021 if isoi=="US_ENC"
		replace region=84022 if isoi=="US_WNC"
		replace region=84031 if isoi=="US_SA"
		replace region=84032 if isoi=="US_ESC"
		replace region=84033 if isoi=="US_WSC"
		replace region=84041 if isoi=="US_MO"
		replace region=84042 if isoi=="US_P"
		
		label define regionlbl 40 "Austria"
		label define regionlbl 250 "France", add
		label define regionlbl 300 "Greece", add
		label define regionlbl 372 "Ireland", add
		label define regionlbl 380 "Italy", add
		label define regionlbl 528 "Netherlands", add
		label define regionlbl 620 "Portugal", add
		label define regionlbl 724 "Spain", add
		label define regionlbl 756 "Switzerland", add
		label define regionlbl 12401 "Canada. Atlantic region", add
		label define regionlbl 12402 "Canada. Quebec", add
		label define regionlbl 12403 "Canada. Ontario", add
		label define regionlbl 12404 "Canada. The Prairies region", add
		label define regionlbl 12405 "Canada. British Columbia", add
		label define regionlbl 84011 "US. New England division", add
		label define regionlbl 84012 "US. Middle Atlantic division", add
		label define regionlbl 84021 "US. East North Central division", add
		label define regionlbl 84022 "US. West North Central division", add
		label define regionlbl 84031 "US. South Atlantic division", add
		label define regionlbl 84032 "US. East South Central division", add
		label define regionlbl 84033 "US. West South Central division", add
		label define regionlbl 84041 "US. Mountain division", add
		label define regionlbl 84042 "US. Pacific division", add
	 
		label values region regionlbl
		drop if (region== 40 & (period==1960                                ))| ///
				(region==300 & (period==1960                                ))| ///
				(region==372 & (period==1960                                ))| ///
				(region==380 & (period==1960 | period==1970 | period==1980 | ///
															  period==1990  ))| ///
				(region==528 & (period==1960 | period==1980 | period==1990  ))| ///
				(region==620 & (period==1960 | period==1970                 ))| ///
				(region==724 & (period==1960 | period==1970                 ))| ///
				(region==756 & (period==1960                                ))| ///
				(region>12400 & region<12500 & (period==1960                ))
	}

	drop if isoi==isoj
	
	rename earthquake equake
    foreach t in killed affected damage damage_raw {
		rename earthquake_`t' equake_`t'
	}	
	
	foreach v in drought equake flood storm {
		  foreach t in killed affected damage damage_raw {
			gen `v'_`t'_pop=`v'_`t'/population_t0
		  }
	}
	
	gen disasters=drought+equake+flood+storm
	gen disasters_killed=drought_killed_p+equake_killed_p+flood_killed_p+ ///
																storm_killed_p
	gen disasters_affected=drought_affected_p+equake_affected_p+ ///
											 flood_affected_p+storm_affected_p
	gen disasters_damage=drought_damage_p+equake_damage_p+ ///
												 flood_damage_p+storm_damage_p
	gen disasters_damage_raw=drought_damage_raw_p+equake_damage_raw_p+ ///
										 flood_damage_raw_p+storm_damage_raw_p
	
	bys period: egen poptot=sum(population_t0)
	gen pop_wgt=population_t0/poptot
	
	local lst "war regime lny wardummy deaths_pop abspol democracy autocracy" 
	local lst "`lst' dens rer emprate dlny"
	
	foreach v of local lst {
		  gen ldist_`v'=ldist*`v'
		  gen aw_ldist_`v'=larea*ldist*`v'
		  capture gen pwt_dist_`v'=pop_wgt*ldist*`v'
		  capture gen csl_`v'=csl*`v'
		  capture gen cle_`v'=cle*`v'
	} 
	
	
	foreach v in drought equake flood storm disasters {
		 gen ldist_`v'=ldist*`v'
		if `regional'==0 {
			gen aw_ldist_`v'=larea*ldist*`v'
			gen pwt_dist_`v'=pop_wgt*ldist*`v'
			gen csl_`v'=csl*`v'
			gen cle_`v'=cle*`v'
		}
		  
		foreach t in killed affected damage damage_raw {
			gen ldist_`v'_`t'=ldist*`v'_`t'
			if "`v'"!="disasters" gen ldist_`v'_`t'_pop=ldist*`v'_`t'_pop

			if `regional'==0 {
				gen aw_ldist_`v'_`t'=larea*ldist*`v'_`t'
				gen pwt_dist_`v'_`t'=pop_wgt*ldist*`v'_`t'
				gen csl_`v'_`t'=csl*`v'_`t'
				gen cle_`v'_`t'=cle*`v'_`t'

				if "`v'"!="disasters"  {
					gen aw_ldist_`v'_`t'_pop=larea*ldist*`v'_`t'_pop
					gen pwt_dist_`v'_`t'_pop=pop_wgt*ldist*`v'_`t'_pop
					gen csl_`v'_`t'_pop=csl*`v'_`t'_pop
					gen cle_`v'_`t'_pop=cle*`v'_`t'_pop
				}
			}

		  }
	}

		
  end

