
 *---------------------------- Prepare economic variables --------------------------*

  program define pushvars
	local regional `1'
	
	local path="$datinstr"
	use "`path'Economic_vars_pwt_raw.dta", clear

	local path="$datinstr"
	merge 1:1 isoj year using "`path'Ted_emp.dta"
	drop _merge

	local path="$datinstr"
	merge m:1 isoj using "`path'Area.dta"
	drop _merge

	gen period=1960
	replace period=1970 if year>=1960
	replace period=1980 if year>=1970
	replace period=1990 if year>=1980
	replace period=2000 if year>=1990
	drop if year>=2000
	
	gen double gdppc=real(rgdpch)
	bys isoj period: egen lny=mean(gdppc)
	replace lny=ln(lny)
	gen avlny=ln(gdppc)
	
	gen double dens=real(pop)/area
	bys isoj period: egen lndens=mean(dens)
	replace lndens=ln(lndens)
	gen avlndens=ln(dens)
	
	gen double rer=real(xrat)/real(ppp)
	
	gen double emprate=emp/real(pop)
	bys isoj period: egen lnemp=mean(emp)
	replace lnemp=ln(lnemp)
	gen avlnemp=ln(emp)
	
	tsset codej year
	gen dlny=d.avlny
	
	gen larea=ln(area)
	
	collapse (mean) lny dens rer emprate dlny larea, by(isoj countryj period)
	
	local path="$datinstr"
	`sil' merge 1:1 isoj period using "`path'Push_factors.dta"
	drop _merge
	
	drop lny
	rename lny_old lny
	
	gen regime=.
	replace regime=0 if polity>-6 & polity<6
	replace regime=1 if polity<=-6 | polity>=6
	
	gen democracy=max(polity,0)
	gen autocracy=-min(polity,0)
	
	gen abspol=abs(polity)
	
	gen wardummy=0
	replace wardummy=1 if war>0
 
	if `regional'==0 {
		local path="$prepared"
		merge 1:m period isoj using "`path'Instrument.dta"
		drop if _merge==1
		drop _merge

		sort period isoj
		local path="$prepared"
		save "`path'Instrument.dta", replace
	}
	else if `regional'==1 {	
		local path="$prepared"
		merge 1:m period isoj using "`path'Instrument_region.dta"
		drop if _merge==1
		drop _merge

		sort period isoj
		local path="$prepared"
		save "`path'Instrument_region.dta", replace
	}
	
	
  end
  
	
