
 ********************************** Builds instruments ****************************

  program instruments
 	local silent `1'
	****  CODEBOOK FOR SILENT:
	*   1 -> Nice stata output display
	*   0 -> Display everything 

  ******  Local variables to run the stuff quietly or noisily	
  
	if `silent'==1 {
		local sil "qui"
		local noi " "
	}
	else {
		local sil " "
		local noi "qui"
	}

  ******* Program starts
  
	di " "
	di "   Build instruments", as text
	di "---------------------------------------------------------------------------"
	
	forvalues i=0/1 {
			
		if `i'==0 {
			di "   Aggregated Data . . .", as text
		}
		else {
			di "   Regional Data . . . ", as text   
		}
		
		clear
	   
		di "         Prepare base file", as text _continue   
		`sil' basefile "`i'"
		di ". . .", as text

		di "         Prepare distance file and merge", as text _continue   
		`sil' distances "`i'"
		di ". . .", as text

		di "         Prepare push factors file and merge", as text _continue   
		`sil' pushvars "`i'"
		di ". . .", as text

		di "         Adapt codes, keep relevant samples, and gen interactions", ///
																as text _continue   
		
		`sil' cleaninst "`i'"
		di ". . .", as text
		
		if `i'==0 {
			preserve
				di "         Correlations push factors . . .", as text
				   
				cap log off Main_log
				di " "
				di " "
				correlations
				di " "
				di " "
				cap log on Main_log
				
				di "         Create bilateral migration dataset", as text _continue
				di "for networks instr", as text _continue
				   
				`sil' bilateral
				di ". . .", as text
				
			restore
			
		}

		di "         Aggregate across countries of origin", as text _continue   
		if `i'==0 {
			collapse (mean)  ldist* aw_ldist* pwt_dist* csl* cle* war wardummy ///
				democracy autocracy regime abspol deaths_pop lny dens rer emprate ///
				dlny disasters disasters_* drought drought_* equake equake_* ///
				flood flood_* storm storm_*, fast by(cntry period)
		
			sort period cntry
			  
			local path="$prepared"
			`sil' save "`path'Instrument.dta", replace
		}
		else {

			collapse (mean) ldist* war wardummy democracy autocracy regime ///
				abspol deaths_pop lny dens rer emprate dlny disasters disasters_* ///
				drought drought_* equake equake_* flood flood_* storm storm_*, ///
				fast by (region period)

			local path="$prepared"
			`sil' save "`path'Instrument_region.dta", replace
		}

		di ". . .", as text
	}
	
	di " ", as text
	di " ", as text

  end
  
