
 *------------------ Generates dummies for first stage regressions -----------------


  program define gendummies  
	local regional `1'
  
  ************* Generate cell and country-cell variables
 
	gen cell=.
	gen cntry_cell=.
	 
	if `regional'==1 {
		qui forvalues j=1/5 {
			forvalues i=1/3 {
				replace cell=`i'`j' if education==`i'&experience==`j'
				foreach c in 40 250 300 372 380 528 620 724 756 12401 12402 12403 ///
				  12404 12405 84011 84012 84021 84022 84031 84032 84033 84041 84042 { 
					replace cntry_cell=`c'`i'`j' if cntry==`c' & education==`i' ///
															   & experience==`j'
				}
			}
		}
	}
	else {
		qui forvalues j=1/5 {
			forvalues i=1/3 {
			replace cell=`i'`j' if education==`i'&experience==`j'
				foreach c in 40 124 250 300 372 380 528 620 724 756 840 {
					replace cntry_cell=`c'`i'`j' if cntry==`c' & education==`i' ///
															   & experience==`j'
				}
			}
	    }
	}


  ************* Generate dummies
		
	qui gen sample2=cntry*10000+period

	xi, noomit prefix("i_") i.education
	forvalues i=1/3 {
		rename i_education_`i' i_`i'
	}
	xi, noomit prefix("j_") i.experience
	forvalues j=1/5 {
		rename j_experienc_`j' j_`j'
	}
	xi, noomit prefix("kt_") i.sample2
	if `regional'==1 {
		forvalues t=1960(10)2000 {
			foreach k in 40 250 300 372 380 528 620 724 756 12401 12402 12403 ///
				  12404 12405 84011 84012 84021 84022 84031 84032 84033 84041 84042 { 
					local tt=substr("`t'",3,2)
					cap rename kt_sample2_`k'`t' kt_`k'`tt'
			}
		}
	}
	else {
		forvalues t=1960(10)2000 {
			foreach k in  40 124 250 300 372 380 528 620 724 756 840 { 
					local tt=substr("`t'",3,2)
					cap rename kt_sample2_`k'`t' kt_`k'`tt'
			}
		}
	}
	xi, noomit prefix("ij_") i.cell
	forvalues i=1/3 {
		forvalues j=1/5 {
			cap rename ij_cell_`i'`j' ij_`i'`j'
		}
	}
	
	xi, noomit prefix("it_") i.education*i.period
	drop it_educatio_*
	drop it_period_*
	forvalues i=1/3 {
		forvalues t=1960(10)2000 {
				local tt=substr("`t'",3,2)
				cap rename it_eduXper_`i'_`t' it_`i'`tt'
		}
	}
	
	xi, noomit prefix("jt_") i.experience*i.period
	drop jt_experien_*
	drop jt_period_*
	forvalues j=1/5 {
		forvalues t=1960(10)2000 {
				local tt=substr("`t'",3,2)
				cap rename jt_expXper_`j'_`t' jt_`j'`tt'
		}
	}
	 
	xi, noomit prefix("ik_") i.cntry*i.education
	drop ik_cntry_*
	drop ik_educatio_*
	if `regional'==1 {
		forvalues i=1/3 {
			foreach k in 40 250 300 372 380 528 620 724 756 12401 12402 12403 ///
				12404 12405 84011 84012 84021 84022 84031 84032 84033 84041 84042 { 
					cap rename ik_cntXedu_`k'_`i' ik_`i'`k'
			}
		}
	}
	else {
		forvalues i=1/3 {
			foreach k in  40 124 250 300 372 380 528 620 724 756 840 { 
				cap rename ik_cntXedu_`k'_`i' ik_`i'`k'
			}
		}
	}
	 
	xi, noomit prefix("jk_") i.cntry*i.experience
	drop jk_cntry_*
	drop jk_experien_*
	if `regional'==1 {
		forvalues j=1/5 {
			foreach k in 40 250 300 372 380 528 620 724 756 12401 12402 12403 ///
				12404 12405 84011 84012 84021 84022 84031 84032 84033 84041 84042 { 
					cap rename jk_cntXexp_`k'_`j' jk_`j'`k'
			}
		}
	}
	else {
		forvalues j=1/5 {
			foreach k in  40 124 250 300 372 380 528 620 724 756 840 { 
				cap rename jk_cntXexp_`k'_`j' jk_`j'`k'
			}
		}
	}
	 
	xi, noomit prefix("ikt_") i.sample2*i.education
	drop ikt_sample2_*
	drop ikt_educati_*
	if `regional'==1 {
		forvalues i=1/3 {
			forvalues t=1960(10)2000 {
				foreach k in 40 250 300 372 380 528 620 724 756 12401 12402 12403 ///
					12404 12405 84011 84012 84021 84022 84031 84032 84033 84041 84042 { 
						local tt=substr("`t'",3,2)
						cap rename ikt_samXedu_`k'`t'_`i' ikt_`i'`k'`tt'
				}
			}
		}
	}
	else {
		forvalues i=1/3 {
			forvalues t=1960(10)2000 {
				foreach k in  40 124 250 300 372 380 528 620 724 756 840 { 
						local tt=substr("`t'",3,2)
						cap rename ikt_samXedu_`k'`t'_`i' ikt_`i'`k'`tt'
				}
			}
		}
	}
	 
	xi, noomit prefix("jkt_") i.sample2*i.experience*
	drop jkt_sample2_*
	drop jkt_experie_*
	if `regional'==1 {
		forvalues j=1/5 {
			forvalues t=1960(10)2000 {
				foreach k in 40 250 300 372 380 528 620 724 756 12401 12402 12403 ///
					12404 12405 84011 84012 84021 84022 84031 84032 84033 84041 84042 { 
						local tt=substr("`t'",3,2)
						cap rename jkt_samXexp_`k'`t'_`j' jkt_`j'`k'`tt'
				}
			}
		}
	}
	else {
		forvalues j=1/5 {
			forvalues t=1960(10)2000 {
				foreach k in  40 124 250 300 372 380 528 620 724 756 840 { 
						local tt=substr("`t'",3,2)
						cap rename jkt_samXexp_`k'`t'_`j' jkt_`j'`k'`tt'
				}
			}
		}
	}
		 
	xi, noomit prefix("ijt_") i.cell*i.period
	drop ijt_cell_*
	drop ijt_period_*
	forvalues i=1/3 {
		forvalues j=1/5 {
			forvalues t=1960(10)2000 {
					local tt=substr("`t'",3,2)
					cap rename ijt_celXper_`i'`j'_`t' ijt_`i'`j'`tt'
			}
		}
	}

	xi, noomit prefix("ijk_") i.cell*i.cntry
	drop ijk_cell_*
	drop ijk_cntry_*
	if `regional'==1 {
		forvalues i=1/3 {
			forvalues j=1/5 {
				foreach k in 40 250 300 372 380 528 620 724 756 12401 12402 12403 ///
					12404 12405 84011 84012 84021 84022 84031 84032 84033 84041 84042 { 
						local tt=substr("`t'",3,2)
						cap rename  ijk_celXcnt_`i'`j'_`k' ijk_`i'`j'`k'
				}
			}
		}
	}
	else {
		forvalues i=1/3 {
			forvalues j=1/5 {
				foreach k in  40 124 250 300 372 380 528 620 724 756 840 { 
						local tt=substr("`t'",3,2)
						cap rename  ijk_celXcnt_`i'`j'_`k' ijk_`i'`j'`k'
				}
			}
		}
	}

	
  end
