  
 *-------------------  Do graphs to check stability of instruments  ---------------

  program define graphs
	local instr `1'
	local fespec `2'

	local stabpval scalar(stabpval)
	local relstat scalar(relstat)
		
	if `instr'==1 {
		local terminstr "Wars"
		local dc "dknavy"
		local lc "eltblue"
	}
	else if `instr'== 2 {
		local terminstr "Regime"
		local dc "emerald"
		local lc "ltkhaki"
	}
	else if `instr'== 3 {
		local terminstr "Disast"
		local dc "red"
		local lc "erose"
	}
	else if `instr'== 4 {
		local terminstr "GDP"
		local dc "dkgreen"
		local lc "eltgreen"
	}
	if `fespec'==2 {
		local specterm "_extrafe"
	}
						
   *=========================================================
		
	sum errx
	local frac=r(max)/(r(max)-r(min))
	local numx=round(`frac'*4)
	local incx=floor(max(r(max)/`numx',-r(min)/(4-`numx'))*100)/100
	local sinx=`incx'/4
	local minx=`incx'*round(r(min)/`incx')
	local maxx=`incx'*round(r(max)/`incx')
	local lmix=min(r(min),`minx')
	local lmax=max(r(max),`maxx')
	local smix=`sinx'*int(`lmix'/`sinx')
	local smax=`sinx'*int(`lmax'/`sinx')
	local posx=`lmax'-`sinx'/2
						
   *=========================================================
		
	sum erry
	local frac=r(max)/(r(max)-r(min))
	local numy=round(`frac'*6)
	local incy=floor(min(r(max)/`numy',-r(min)/(6-`numy'))*100)/100
	local siny=`incy'/3
	local smiy=`siny'*int(r(min)/`siny')
	local smay=`siny'*int(r(max)/`siny')
	local miny=`incy'*int(r(min)/`incy')
	local maxy=`incy'*int(r(max)/`incy')
	local minrmin=-r(min)
						
   *=========================================================
		
	local tp1=`smiy'+3*`siny'/2
	local tp2=`smiy'+1*`siny'/2
	

	local in  "cntry==124 | cntry==840 | cntry>84000"
	local usa "cntry==840 | cntry>84000"
	local can "cntry==124 | (cntry>=12400 & cntry<84000)"
	local out "cntry!=840 & cntry!=124 & cntry<12400"
						
   *=========================================================
		
	twoway (lfit erry errx if `out', lc(`lc') lw(thick)) ///
		   (scatter erry errx if `out', ms(circle) mc(`lc') msize(medlarge)) ///
		   (lfit erry errx if `in', lc(`dc') lw(thick)) ///
		   (lfit errx errx, lc(black) lp(dash) lw(medthin)) ///
		   (scatter erry errx if `usa', ms(square) mc(`dc') msize(medlarge)) ///
		   (scatter erry errx if `can', ms(diamond) mc(`dc') msize(medlarge) ///
		   text(`tp1' `smax' "Stability test (p-val)=`=string(`stabpval',"%6.4f")'", ///
													si(vlarge) place(left)) ///
		   text(`tp2' `smax' "Relev. test (F-stat)=`=string(`relstat',"%6.2f")'", ///
													si(vlarge) place(left))), ///
			ysize(11) xsize(8) ///
			legend(off) ///
			plotregion(margin(zero) fcolor(white) lcolor(white) ilcolor(white)) ///
			graphregion(fcolor(white) lcolor(white) ilcolor(white)) ///
			l2title("Actual data (net of fixed effects)", size(vlarge) c(black)) ///
			ytitle( ) ///
			ylab(`miny'(`incy')`maxy', tlc(black) labc(black) format(%4.2f) ///
				labs(large) grid gmax gmin glw(thin) glc(gs12)) ///
			ymlab(`smiy'(`siny')`smay', ticks nolabels grid gmax gmin ///
				glwidth(vvvthin) glcolor(gs14) glpattern(solid)) ///
			xtitle("Prediction from excluded instruments", si(vlarge) c(black)) ///
			b1title("(net of fixed effects)", si(vlarge) color(black)) ///
			xlabel(`minx'(`incx')`maxx', format(%4.2f) labsize(large)) ///
			xscale(range (`lmix' `lmax'))  ///
			xmlabel(`smix'(`sinx')`smax', nolabels)
						
   *=========================================================
		
	local path="$grfold"
	graph export "`path'FS_Stability_`terminstr'`specterm'.ps", replace ///
			logo(off) mag(98) tmargin(0) lmargin(0) orientation(portrait) ///
			fontface("Times New Roman")
						
   *=========================================================
		
  end
   
