  
 *-----------------------  Save results in different tables  ------------------------

 program define tables
	local table `1'
 
  * =================================================================================
  
	if "`table'"=="TabFS" {
	
		local labrows "__________{[}0-8{]}_years____ " ///
					  "__________{[}9-16{]}_years___ " ///
					  "__________{[}17-24{]}_years__ " ///
					  "__________{[}25-31{]}_years__ " ///
					  "__________32+_years__________ "


		cap log close
		local path="$tabfold"
		qui log using "`path'FS_Coefficients.tex", text replace
		di "  "
		di " \begin{table}[!h]\centering"
		di "    \caption{First Stage Coefficients for Baseline Estimation}"
		di "    \label{tab:fs-coeff-wars}"
		di " "
		di " \resizebox{0.99\textwidth}{!}{"
		di "  \begin{tabular}{@{\hskip 0.7cm}L{2cm}C{1.32cm}C{1.54cm}cC{1.3" _continue
		di "2cm}C{1.54cm}cC{1.32cm}C{1.54cm}cC{1.32cm}C{1.54cm}@{\hskip 0.1cm}}"
		di " \\ [-0.25cm]"
		di " \hline\hline \\ [-0.15cm]"
		di "                                                   & \multicolu" _continue
		di "mn{2}{c}{Months of war} & & \multicolumn{2}{c}{Political regime" _continue
		di "s} & & \multicolumn{2}{c}{Natural disasters} & & \multicolumn{2" _continue
		di "}{c}{GDP per capta}    \\"
		di "       \cline{2-3}\cline{5-6}\cline{8-9}\cline{11-12} \\ [-0.2cm]"
		di "                                                   & Reduced  &" _continue
		di " Expanded & & Reduced  & Expanded & & Reduced  & Expanded & & R" _continue
		di "educed  & Expanded \\ [0.05cm]"
		di "       \hline \\ [-0.25cm]"
		di "          \multicolumn{12}{l}{\textit{i. Primary Education}} \\ [0.2cm]"
		di "          {[}0-8{]} years      &       ---  &       ---  & &   " _continue
		di "    ---  &       ---  & &       ---  &       ---  & &       ---" _continue
		di "  &       ---  \\ [0.15cm]"

		local i=1
		matrix b=J(1,8,.)\betas_fs
		matrix s=J(1,8,.)\ses_fs
		forvalues p=1/3 {
			foreach v of local labrows {
				if "`v'"!=" " & `i'>1 {
					local coeff1 `"`v'"'
					local coeff " "
					local ses " "
					forvalues k=1/4 {
						forvalues s=1/2 {
							local l=`k'+(`s'-1)*4
							local coeff "`coeff'" " &   " %7s cond(b[`i',`l']~=., ///
											string(b[`i',`l'],"%7.3fc"),"     ") " "
						}
						if `k'==4 {
							local coeff "`coeff'" " \\"
						}
						else {
							local coeff "`coeff'" " &"
						}
					}
					forvalues k=1/4 {
						forvalues s=1/2 {
							local l=`k'+(`s'-1)*4
							local ses "`ses'" " &   " %7s cond(s[`i',`l']~=., ///
									"("+string(s[`i',`l'],"%5.3fc")+")","     ") " "
						}
						if `k'==4 {
							local ses "`ses'" " \\"
						}
						else {
							local ses "`ses'" " &"
						}
					} 
					if `i'==5 | `i'==10 | `i'==15  {
						local ses  "`ses'" " [0.05cm]"
					} 
					di subinstr("`coeff1'","_"," ",.) "`coeff'"
					di "                             " "`ses'"
					local ++i
				}
				else if "`v'"!=" " & `i'==1 {
					local ++i
				}
			}
			if `i'==6 {
				di "       \hline \\ [-0.25cm]"
				di "          \multicolumn{12}{l}{\textit{ii. Secondary edu" _continue
				di "cation}} \\ [0.2cm]"
			}
			else if `i'==11 {
				di "       \hline \\ [-0.25cm]"
				di "          \multicolumn{12}{l}{\textit{ii. Tertiary educ" _continue
				di "ation}} \\ [0.2cm]"
			}
		}

		forvalues t=15/16 {
			if `t'==15 {
				local d=3
			}
			else {
				local d=2
			}
			local tests " "
			forvalues k=1/4 {
				forvalues s=1/2 {
					local l=`k'+(`s'-1)*4
					local tests "`tests'" " &   " %7s cond(betas_fs[`t',`l']~=., ///
									string(betas_fs[`t',`l'],"%7.`d'fc"),"     ") " "
				}
				if `k'==4 {
					local tests "`tests'" " \\"
				}
				else {
					local tests "`tests'" " &"
				}
			} 
			if `t'==15 {
				di "       \hline \\ [-0.25cm]"
				di "        \multicolumn{1}{l}{Stability test (p-value)}  " "`tests'"
			}
			else {
				local tests "`tests' [0.05cm]"
				di "        \multicolumn{1}{l}{Excluded \$F\$ statistic$^a$}" "`tests'"
			}
		}

		di "       \hline\hline \\ [-0.25cm]"
		di "     \end{tabular}}"
		di "  \begin{minipage}[t]{\linewidth}\notesize{"
		di "  	$^a$  \citet{StockYogo05a} critical values for max relative" _continue
		di " biases of 0.3, 0.2, and~0.1~are~4.67,~6.45,~and~11.52.}"
		di "  "
		di "     \vspace{0.15cm}"
		di " \end{minipage}"
		di " "
		di "     \begin{tablenotes}"
		di "	The table reports the first stage coefficients of the exclu" _continue
		di "ded instruments for the first stage regressions in the second c" _continue
		di "olumn of Table~\ref{tab:results-basic}."
		di "        Reduced regression includes country-period, education-p" _continue
		di "eriod, experience-period, and education-country fixed effects. " _continue
		di "Expended regression additionally includes "
		di "        experience-country and education-experience fixed effects."
		di "    \end{tablenotes}"
		di "   \end{table}"
 
		qui log close
    }

  * =================================================================================
  
	if "`table'"=="TabBase" {
		local caption="Native Male Wages: U.S. and Canada"
		local lab="basic"
		local obs=135
		local obsfs=570
		local filename "Basic_Results"
	}
	if "`table'"=="TabUS" {
		local caption="Native Male Wages: United States only"
		local lab="us"
		local obs=75
		local obsfs=570
		local filename "Results_US"
	}
	if "`table'"=="TabRegion" {
		local caption="Wages at the Regional Level"
		local lab="region"
		local obs=975
		local obsfs=1410
		local filename "Results_Regions"
	}
	
	if  "`table'"=="TabBase" |  "`table'"=="TabUS" |  "`table'"=="TabRegion" {
		
		local labrows "___Baseline_specification_____________ "  ///
					  "___Only_male_included_in_LF_counts____ "  ///
					  "___Log_annual_wages___________________ "  ///
					  "___Unweighted_regressions_____________ "
	 

		cap log close
		local path="$tabfold"
		qui log using "`path'SS_`filename'.tex", text replace
		
		di " "
		di " \begin{table}[!t]\centering"
		di "    \caption{The Effect of Immigration on `caption'}"
		di "    \label{tab:results-`lab'}"
		di "  "
		di " \resizebox{0.99\textwidth}{!}{"
		di " \begin{tabular}{@{\hskip 0.9cm}L{5.5cm}C{1.5cm}C{0.1cm}C{1.5cm" _continue
		di "}C{1.5cm}C{1.5cm}C{1.5cm}@{\hskip 0.3cm}}"
		di " \\ [-0.25cm]"
		di " \hline\hline \\ [-0.15cm]"
		di "                                       &            &  & \multi" _continue
		di "column{4}{c}{Sub-Sample 2SLS}            \\"
		di " \cline{4-7} \\ [-0.25cm]"
		di "                                       &    OLS     &  &  Month" _continue
		di "s   & Political &  Natural  &  GDP per   \\"
		di "                                       &            &  &  of wa" _continue
		di "r   &  regime   & disasters &  capita    \\"
		di " \hline \\ [-0.2cm]"
		di "   \multicolumn{7}{l}{\it i.  Reduced set of fixed effects} \\ [0.15cm]"

		local i=1
		forvalues p=1/2 {
			foreach v of local labrows {
				if "`v'"!=" " {
					local coeff1 `"`v'"'
					local coeff " "
					local ses "                                       "
					
					local coeff "`coeff'" "&   " %7s cond(betas_`lab'[`i',1]~=., ///
						  string(betas_`lab'[`i',1],"%7.3fc"),"       ") " "
					local ses   "`ses'"   "&   " %7s cond(ses_`lab'[`i',1]~=., ///
						"("+string(ses_`lab'[`i',1],"%5.3fc")+") ","        ") ""
					local coeff "`coeff'" " &  "
					local ses "`ses'" " &  "
					
					forvalues c=2/5 {
						local coeff "`coeff'" "& " %13s ///
							cond(tests_`lab'[`i',3*(`c'-2)+2]<0.05, ///
							cond(tests_`lab'[`i',3*(`c'-2)+3]>0.10, ///
							cond(ses_`lab'[`i',`c']<5, ///
							"    "+string(betas_`lab'[`i',`c'],"%7.3fc") + ///
							"   ","\multirow{2}{{*}*{*}}{--- \$^c\$}"), ///
							"\multirow{2}{{*}*{*}}{--- \$^b\$}"), ///
							cond(tests_`lab'[`i',3*(`c'-2)+3]>0.10, ///
							"\multirow{2}{{*}*{*}}{--- \$^a\$}", ///
							"\multirow{2}{{*}*{*}}{--- \$^{a,b}\$}")) " "
						local ses   "`ses'"   "& " %10s ///
							cond(tests_`lab'[`i',3*(`c'-2)+2]<0.05, ///
							cond(tests_`lab'[`i',3*(`c'-2)+3]>0.10, ///
							cond(ses_`lab'[`i',`c']<5,"    (" ///
							+string(ses_`lab'[`i',`c'],"%5.3fc")+")  ", ///
							"                     "), ///
							"             "), ///
							"             ") " "
					}
					local coeff "`coeff'" " \\"
					local ses   "`ses'"   " \\"
					if `i'==4 | `i'==8 {
						local ses   "`ses'"   " [0.05cm]"
					}
					display subinstr("`coeff1'","_"," ",.) "`coeff'"
					display "`ses'"
					local ++i
				}
			}
			if `p'==1 {
				di " \hline \\ [-0.2cm]"
				di "   \multicolumn{7}{l}{\it ii.  Expanded set of fixed eff" _continue
				di "ects} \\ [0.15cm]"
			}
		}

		di " \hline\hline \\ [-0.25cm]"
		di " \end{tabular}}"
		di " "
		di "  \begin{minipage}[t]{\linewidth}\notesize{"
		di "     $^a$ Null hypothesis of joint insignificance of coefficien" _continue
		di "ts from excluded regressors is not rejected at 5\%."
		di " "
		di "     $^b$ Stability across sub-samples is rejected at 10\%."
		di " "
		di "     $^c$ Not enough variation (standard errors above 5).}"
		di "     \vspace{0.15cm}"
		di " \end{minipage}"
		di " "
		di " "
		di "  \begin{tablenotes}"
		di "     The table reports the coefficient of the immigrant share f" _continue
		di "rom regressions where the dependent variable is the average log" _continue
		di " wage for native"
		di "     males aged 18-64 in each education-experience-period-count" _continue
		di "ry cell (monthly wage, except otherwise indicated). Each row is" _continue
		di " a different"
		di "     specification; each column uses a different set of instrum" _continue
		di "ents; each panel includes a different set of fixed effects. All" _continue
		di " regressions are"
		di "     estimated using `obs' observations in the second stage (an" _continue
		di "d 570 in the first stage), weighted by the sample size used "
		di "     to compute immigrant shares, except otherwise indicated. I" _continue
		di "mmigrant shares are computed including male and female, except " _continue
		di "otherwise "
		di "     indicated. Top panel regressions include country-period, e" _continue
		di "ducation-period, experience-period, and education-country fixed" _continue
		di " effects. Bottom"
		di "     panel regressions additionally include experience-country " _continue
		di "and education-experience fixed effects. Standard errors, in par" _continue
		di "entheses, are "
		di "     computed as discussed in Appendix~\ref{sec:math-appendix}."
		di " \end{tablenotes}"
		di " \vspace{-0.7cm}"
		di " \end{table}"
		
		qui log close
	}

  * =================================================================================
  
	if "`table'"=="TabRob" {
	
		local labrows "____Baseline______________ " ///
					  "____War_dummy_____________ " ///
					  "____Casualties_(\permil)__ " ///
					  "____Baseline______________ " ///
					  "_____char(36)|_char(36)Polity_IV_char(36)|_char(36)_______ " ///
					  "____Democracy_level_______ " ///
					  "____Autocracy_level_______ " ///
					  "____Baseline______________ " ///
					  "____Disaster_dummy________ " ///
					  "____Damage_per_capita_____ " ///
					  "____Killings_(\permil)____ " ///
					  "____Drought_only__________ " ///
					  "____Earthquakes_only______ " ///
					  "____Flood_only____________ " ///
					  "____Storms_only___________ " ///
					  "____Baseline______________ " ///
					  "____Population_density____ " ///
					  "____Real_exchange_rate____ " ///
					  "____Employment_rate_______ " ///
					  "____GDPpc_growth__________ "
	 
		cap log close
		local path="$tabfold"
		qui log using "`path'SS_Robustness.tex", text replace
		
		di " "
		di " \begin{table}[!t]\centering"
		di "    \caption{Robustness to Alternative Choices of Instruments}"
		di "    \label{tab:robustness}"
		di " "
		di " \resizebox{0.99\textwidth}{!}{"
		di " \begin{tabular}{@{\hskip 0.7cm}L{3.0cm}C{1.32cm}C{1.54cm}cC{1." _continue
		di "32cm}C{1.54cm}cC{1.32cm}C{1.54cm}cC{1.32cm}C{1.54cm}@{\hskip 0.1cm}}"
		di " \\ [-0.25cm]"
		di " \hline\hline \\ [-0.25cm]"
		di "                          &  \multicolumn{11}{c}{Distance measu" _continue
		di "re:}                                                           " _continue
		di "                                      \\"
		di " \cline{2-12} \\ [-0.25cm]"
		di "                          &  \multicolumn{8}{c}{Physical distan" _continue
		di "ce:}                                   &  & \multicolumn{2}{c}{" _continue
		di "\multirow{2}{{*}*{*}}{Linguistic distance}} \\"
		di " \cline{2-9} \\ [-0.25cm]"
		di "                          & \multicolumn{2}{c}{Baseline}  &  & " _continue
		di "\multicolumn{2}{c}{Weighted by area} & & \multicolumn{2}{c}{Wei" _continue
		di "ghted by pop.} &  &                   \\"
		di " \cline{2-3}\cline{5-6}\cline{8-9}\cline{11-12} \\ [-0.25cm]"
		di "                          &    Reduced    &    Expanded   &  & " _continue
		di "   Reduced    &    Expanded   &  &    Reduced    &    Expanded " _continue
		di "  &  &    Reduced    &    Expanded    \\"
		di " \hline \\ [-0.25cm]"
		di " \multicolumn{4}{l}{\textit{i. Wars:}} \\ [0.2cm]"

		local i=1
		foreach v of local labrows {
			if "`v'"!=" " {
				local coeff1 `"`v'"'
				local coeff " "
				local ses "                          "
				forvalues c=1/8 {
					if `c'==3 | `c'==5 | `c'==7 {
						local coeff "`coeff'" "&  "
						local ses "`ses'" "&  "
					}
					local coeff "`coeff'" "& " %13s ///
						cond(tests_rob[`i',3*(`c'-1)+2]<0.05, ///
						cond(tests_rob[`i',3*(`c'-1)+3]>0.10, ///
						cond(ses_rob[`i',`c']<5, ///
						"    "+string(betas_rob[`i',`c'],"%7.3fc") + ///
						"   ","\multirow{2}{{*}*{*}}{--- \$^c\$}"), ///
						"\multirow{2}{{*}*{*}}{--- \$^b\$}"), ///
						cond(tests_rob[`i',3*(`c'-1)+3]>0.10, ///
						"\multirow{2}{{*}*{*}}{--- \$^a\$}", ///
						"\multirow{2}{{*}*{*}}{--- \$^{a,b}\$}")) " "
					local ses   "`ses'"   "& " %10s ///
						cond(tests_rob[`i',3*(`c'-1)+2]<0.05, ///
						cond(tests_rob[`i',3*(`c'-1)+3]>0.10, ///
						cond(ses_rob[`i',`c']<5,"    (" ///
						+string(ses_rob[`i',`c'],"%5.3fc")+")  ", ///
						"                     "), ///
						"             "), ///
						"             ") " "
				}
				local coeff "`coeff'" " \\"
				if `i'==3 | `i'==7 | `i'==15 | `i'==20 {
					local ses   "`ses'" " \\ [0.05cm]"
				}
				else {
					local ses   "`ses'" " \\"
				}
				local head=subinstr(subinstr(subinstr("`coeff1'","_"," ",.), ///
											" char"," _char",.),"",`"""',.) 
				di "   `head'`coeff'"
				display "`ses'"
				if `i'==3 {
					di " \hline \\ [-0.25cm]"
					di "  \multicolumn{4}{l}{\textit{ii. Political regimes:}} \\ [0.2cm]"
				}
				else if `i'==7 {
					di " \hline \\ [-0.25cm]"
					di "  \multicolumn{4}{l}{\textit{iii. Natural disasters:}} \\ [0.2cm]"
				}
				else if `i'==15 {
					di " \hline \\ [-0.25cm]"
					di "  \multicolumn{4}{l}{\textit{iv. Economic variables:}} \\ [0.2cm]"
				}
				local ++i
			}	
		}
		
		di " \hline\hline \\ [-0.25cm]"
		di " \end{tabular}}"
		di " "
		di "  \begin{minipage}[t]{\linewidth}\notesize{"
		di "     $^a$ Null hypothesis of joint insignificance of coefficien" _continue
		di "ts from excluded regressors is not rejected at 5\%."
		di " "
		di "     $^b$ Stability across sub-samples is rejected at 10\%."
		di " "
		di "     $^c$ Not enough variation (standard errors above 5).}"
		di " "
		di "     \vspace{0.15cm}"
		di " \end{minipage}"
		di " "
		di "  \begin{tablenotes}"
		di "     The table reports the coefficient of immigrant share from " _continue
		di "different regressions that follow the baseline specifications i" _continue
		di "n Table~\ref{tab:results-basic}, "
		di "     and that are estimated with different sets of instruments." _continue
		di " Rows and columns vary push and distance variables as indicated" _continue
		di ". For each combination of push factor"
		di "     and distance measure, reduced and expanded sets of fixed e" _continue
		di "ffects are included in left and right columns as indicated. All" _continue
		di " regressions are"
		di "     estimated using 135 observations in the second stage (and " _continue
		di "570 in the first stage), weighted by the sample size used to co" _continue
		di "mpute immigrant shares"
		di "     Standard errors, in parentheses, are computed as discussed" _continue
		di " in Appendix~\ref{sec:math-appendix}."
		di " \end{tablenotes}"
		di " \vspace{-0.7cm}"
		di " \end{table}"
		
		qui log close
	
	}

  * =================================================================================
  
	if "`table'"=="TabFE" {
	
		local labrows "1._Reduced_set_of_fixed_effects______ " ///
					  "2._Expanded_set_of_fixed_effects_____ " ///
					  "3._(2)_char(36)_char(43)_char(36)education-experience-country " ///
					  "4._(3)_char(36)_char(43)_char(36)experience-country-period___ " ///
					  "5._(4)_char(36)_char(43)_char(36)education-country-period____ " ///
					  "6._(5)_char(36)_char(43)_char(36)education-experience-period_ "
	 

		cap log close
		local path="$tabfold"
		qui log using "`path'SS_Fixed_Effects.tex", text replace
		
		di " "
		di " \begin{table}[!t]\centering"
		di "    \caption{Robustness to Different Combinations of Fixed Effects}"
		di "    \label{tab:results-fe}"
		di "  "
		di " \resizebox{0.99\textwidth}{!}{"
		di " \begin{tabular}{@{\hskip 0.4cm}L{6.0cm}C{1.5cm}C{0.1cm}C{1.5cm" _continue
		di "}C{1.5cm}C{1.5cm}C{1.5cm}@{\hskip 0.3cm}}"
		di " \\ [-0.25cm]"
		di " \hline\hline \\ [-0.15cm]"
		di "                                         &            &  & \mul" _continue
		di "ticolumn{4}{c}{Sub-Sample 2SLS}            \\"
		di " \cline{4-7} \\ [-0.25cm]"
		di "                                         &    OLS     &  &  Mon" _continue
		di "ths   & Political &  Natural  &  GDP per   \\"
		di "                                         &            &  &  of " _continue
		di "war   &  regime   & disasters &  capita    \\"
		di " \hline \\ [-0.2cm]"


		local i=1
		foreach v of local labrows {
			if "`v'"!=" " {
				local coeff1 `"`v'"'
				local coeff
				local ses "                                        "
					
				local coeff "`coeff'" "&   " %7s cond(betas_fe[`i',1]~=., ///
					  string(betas_fe[`i',1],"%7.3fc"),"       ") " "
				local ses   "`ses'"   "&   " %7s cond(ses_fe[`i',1]~=., ///
					"("+string(ses_fe[`i',1],"%5.3fc")+") ","        ") ""
				local coeff "`coeff'" " &  "
				local ses "`ses'" " &  "
					
				forvalues c=2/5 {
					local coeff "`coeff'" "& " %13s ///
						cond(tests_fe[`i',3*(`c'-2)+2]<0.05, ///
						cond(tests_fe[`i',3*(`c'-2)+3]>0.10, ///
						cond(ses_fe[`i',`c']<5, ///
						"    "+string(betas_fe[`i',`c'],"%7.3fc") + ///
						"   ","\multirow{2}{{*}*{*}}{--- \$^c\$}"), ///
						"\multirow{2}{{*}*{*}}{--- \$^b\$}"), ///
						cond(tests_fe[`i',3*(`c'-2)+3]>0.10, ///
						"\multirow{2}{{*}*{*}}{--- \$^a\$}", ///
						"\multirow{2}{{*}*{*}}{--- \$^{a,b}\$}")) " "
					local ses   "`ses'"   "& " %10s ///
						cond(tests_fe[`i',3*(`c'-2)+2]<0.05, ///
						cond(tests_fe[`i',3*(`c'-2)+3]>0.10, ///
						cond(ses_fe[`i',`c']<5,"    (" ///
						+string(ses_fe[`i',`c'],"%5.3fc")+")  ", ///
						"                     "), ///
						"             "), ///
						"             ") " "
				}
				local coeff "`coeff'" " \\"
				local ses   "`ses'"   " \\"
				if `i'==7 {
					local ses   "`ses'"   " [0.05cm]"
				}
				local head=subinstr(subinstr(subinstr("`coeff1'","_"," ",.), ///
												" char"," _char",.),"",`"""',.) 
				di "   `head'`coeff'"
				display "`ses'"
				local ++i
			}	
		}


		di " \hline\hline \\ [-0.25cm]"
		di " \end{tabular}}"
		di " "
		di "  \begin{minipage}[t]{\linewidth}\notesize{"
		di "     $^a$ Null hypothesis of joint insignificance of coefficien" _continue
		di "ts from excluded regressors is not rejected at 5\%."
		di " "
		di "     $^b$ Stability across sub-samples is rejected at 10\%."
		di " "
		di "     $^c$ Not enough variation (standard errors above 5).}"
		di " "
		di "     \vspace{0.15cm}"
		di " \end{minipage}"
		di " "
		di "  \begin{tablenotes}"
		di "     The table reports the coefficient of immigrant share from " _continue
		di "different regressions that follow the baseline specifications i" _continue
		di "n Table~\ref{tab:results-basic}, "
		di "     and that recursively add different sets of fixed effects a" _continue
		di "s indicated. All regressions are estimated using 135 observatio" _continue
		di "ns in the second stage (and 570"
		di "     in the first stage), weighted by the sample size used to c" _continue
		di "ompute immigrant shares Standard errors, in parentheses, are co" _continue
		di "mputed as discussed in"
		di "     Appendix~\ref{sec:math-appendix}."
		di " \end{tablenotes}"
		di " \vspace{-0.7cm}"
		di " \end{table}"
		
		qui log close
	}
 
  * =================================================================================
  
	if "`table'"=="TabNet" {
	
		
		cap log close
		local path="$tabfold"
		qui log using "`path'SS_Networks.tex", text replace


		di " "
		di " \begin{table}[!t]\centering"
		di "    \caption{Comparison With Networks Instrument for the United States}"
		di "    \label{tab:results-networks}"
		di " "
		di " \resizebox{0.9\textwidth}{!}{"
		di " \begin{tabular}{@{\hskip 0.9cm}L{4.8cm}C{1.5cm}C{1.5cm}cC{1.5c" _continue
		di "m}C{1.5cm}@{\hskip 0.3cm}}"
		di " \\ [-0.25cm]"
		di " \hline\hline \\ [-0.25cm]"
		di "                                        & \multicolumn{2}{c}{Na" _continue
		di "tional level}      &  & \multicolumn{2}{c}{Regional level}     \\"
		di " \cline{2-3}\cline{5-6} \\ [-0.25cm]"
		di "  \multicolumn{1}{r}{Base year \$t_0=\$}  &        1960        " _continue
		di "&        1970        &  &        1960        &        1970       \\"
		di "\hline \\ [-0.25cm]"
		di "  \multicolumn{6}{l}{\it i.  Reduced set of fixed effects} \\ [0.15cm]"

		forvalues fe=1(6)7 {
		
			di "  \multirow{2}{{*}*{*}}{Lagged share (\$m_{ijkt-10}\$)}"
			di "                                        &"  _continue
			di %38s cond(tests_network[`fe',1]<0.1, "        \multicolumn{2}{c}{" + ///
					string(betas_network[`fe',1],"%6.3fc")  + "}      " , ///
					"\multicolumn{2}{c}{\multirow{2}{{*}*{*}}{--- \$^a\$}}") " &  & " _continue
			di %38s cond(tests_network[`fe',3]<0.1, " \multicolumn{2}{c}{" + ///
					string(betas_network[`fe',3],"%6.3fc")  + "}   " , ///
					"\multicolumn{2}{c}{\multirow{2}{{*}*{*}}{--- \$^a\$}} ")  " \\"
			di "                                        &"  _continue
			di %38s cond(tests_network[`fe',1]<0.1, "        \multicolumn{2}{c}{(" + ///
					string(ses_network[`fe',1],"%6.3fc")  + ")}     " , "  ") " &  & " _continue
			di %38s cond(tests_network[`fe',3]<0.1, "  \multicolumn{2}{c}{(" + ///
					string(ses_network[`fe',3],"%6.3fc")  + ")}  " , "   ") " \\"

			forvalues i=1/5 {
				if `i'==1 {
					di "  \multirow{2}{{*}*{*}}{\$\frac{1}{N_{ijkt}}\sum_q\frac{M_{" _continue
					di "kqt_0}}{M_{USqt_0}}\Delta M_{ijUSqt}\$}"
				}
				else if `i'==2 {
					di "  \multirow{2}{{*}*{*}}{\$\frac{1}{N_{ijkt}}\sum_q\frac{M_{" _continue
					di "ijkqt_0}}{M_{ijUSqt_0}}\Delta M_{ijUSqt}\$}"
				}
				else if `i'==3 {
					di "  \multirow{2}{{*}*{*}}{\$\frac{1}{N_{ijkt}}\sum_q\frac{M_{" _continue
					di "ijkqt_0}}{M_{USqt_0}}\Delta M_{USqt}\$}"
				}
				else if `i'==4 {
					di "  \multirow{2}{{*}*{*}}{\$\frac{1}{N_{ijkt}}\sum_q\frac{M_{" _continue
					di "ijkqt_0}}{M_{qt_0}}\Delta M_{qt}\$}"
				}
				else if `i'==5 {
					di "  \multirow{2}{{*}*{*}}{$\frac{1}{N_{ijkt}}\sum_q\frac{M_{i" _continue
					di "jkqt_0}}{M_{USqt_0}}\Delta\widehat{M}_{USqt}\$}"
				}
				local lst "betas ses"
				local betasns "\multirow{2}{{*}*{*}}{--- \$^a\$}"
				local sesns " "
				local betasop " "
				local sesop "("
				local betascp " "
				local sescp ")"
				
				foreach v of local lst {
					di "                                        & "  _continue
					forvalues c=1/4 {
						di %18s cond(tests_network[`fe'+`i',`c']<0.1, "  ``v'op'" + ///
								string(`v'_network[`fe'+`i',`c'],"%6.3fc")  + "``v'cp'  " , ///
								"``v'ns'") _continue
						if `c'==1 | `c'==3 {
							di " &" _continue
						}
						else if `c'==2 {
							di "  &  &" _continue
						}
					}
					if `i'== 5 & "`v'"=="ses" {
						di "  \\ [0.05cm]"
					}
					else {
						di "  \\"
					}
				}
				
			}
			
			if `fe'==1 {
				di " \hline \\ [-0.25cm]"
				di "  \multicolumn{6}{l}{\it ii. Expanded set of fixed effects} \\ [0.15cm]"
			}
		
		}

		di " \hline\hline \\ [-0.25cm]"
		di " \end{tabular}}"
		di " "
		di "  \begin{minipage}[t]{\linewidth}\notesize{"
		di "     \$^a\$ Instrument does not satisfy the relevance condition, hence, second stage coefficient is not~identified.}"
		di " "
		di "     \vspace{0.15cm}"
		di " \end{minipage}"
		di " "
		di "  \begin{tablenotes}"
		di "     The table reports the coefficient of immigrant share from different regressions that follow the baseline specifications in Table~\ref{tab:results-basic}, "
		di "     and that are estimated with different versions of the networks instrument as indicated. For each variation of the instrument, reduced and expanded sets "
		di "     of fixed effects are included in left and right columns as indicated. Regressions are estimated with 59, 45, 540, and 405 observations in the first, second,"
		di "     third and fourth columns respectively; regressions that use \$m_{ijkt-10}\$ as instrument are estimated with 75 observations at the national level, and 675 at"
		di "     the regional level. Observations are weighted by the sample size used to compute immigrant shares. \$\widehat{M}_{USqt}\$ is the predicted stock of immigrants "
		di "     in the U.S. obtained as the prediction of a regression of (log) bilateral migrant stocks (from each origin country into the U.S., obtained from  \citet{Llull16c})"
		di "     on the baseline variables for war, political regimes, GDP per capita and distance, dummies for each natural disaster, and log area. Standard errors in parentheses. "
		di " \end{tablenotes}"
		di " \vspace{-0.7cm}"
		di " \end{table}"
				
		qui log close

	}

 end
