
 ******************** Figure: Summary of the Estimated Gaps **********************

  program figgaps
 	local silent `1'
	****  CODEBOOK FOR SILENT:
	*   1 -> Nice stata output display
	*   0 -> Display everything 

  ******  Local variables to run the stuff quietly or noisily	
  
	if `silent'==1 {
		local sil "qui"
		local noi " "
	}
	else {
		local sil " "
		local noi "qui"
	}

  ******* Program starts
  
	di " "
	di "   Figure: Summary of the Estimated Gaps"
	di "---------------------------------------------------------------------------"
	
	
	matrix betas=betas_basic[1..8,2..5] \ ///
				 betas_us[1..8,2..5] \ ///
				 ( ///
					(vec(betas_rob[1..3,1..8])\J(40,1,.)), ///
					(vec(betas_rob[4..7,1..8])\J(32,1,.)), ///
					 vec(betas_rob[8..15,1..8]), ///
					(vec(betas_rob[16..20,1..8])\J(24,1,.)) ///
				 ) \ ///
				 betas_fe[1..6,2..5]

   *=========================================================

	matrix ses= ses_basic[1..8,2..5] \ ///
				ses_us[1..8,2..5] \ ///
				( ///
					(vec(ses_rob[1..3,1..8])\J(40,1,.)), ///
					(vec(ses_rob[4..7,1..8])\J(32,1,.)), ///
					 vec(ses_rob[8..15,1..8]), ///
					(vec(ses_rob[16..20,1..8])\J(24,1,.)) ///
				) \ ///
				ses_fe[1..6,2..5]

   *=========================================================

	matrix gap=( ///
					gap_basic[1..8,1], ///
					gap_basic[1..8,4], ///
					gap_basic[1..8,7], ///
					gap_basic[1..8,10] ///
				) \ ( ///
					gap_us[1..8,1], ///
					gap_us[1..8,4], ///
					gap_us[1..8,7], ///
					gap_us[1..8,10] ///
				) \ ( ///
					( ///
						gap_rob[1..3,1] \ ///
						gap_rob[1..3,4] \ ///
						gap_rob[1..3,7] \ ///
						gap_rob[1..3,10] \ ///
						gap_rob[1..3,13] \ ///
						gap_rob[1..3,16] \ ///
						gap_rob[1..3,19] \ ///
						gap_rob[1..3,22] \ ///
						J(40,1,.) ///
					) , ( ///
						gap_rob[4..7,1] \ ///
						gap_rob[4..7,4] \ ///
						gap_rob[4..7,7] \ ///
						gap_rob[4..7,10] \ ///
						gap_rob[4..7,13] \ ///
						gap_rob[4..7,16] \ ///
						gap_rob[4..7,19] \ ///
						gap_rob[4..7,22] \ ///
						J(32,1,.) ///
					) , ( ///
						gap_rob[8..15,1] \ ///
						gap_rob[8..15,4] \ ///
						gap_rob[8..15,7] \ ///
						gap_rob[8..15,10] \ ///
						gap_rob[8..15,13] \ ///
						gap_rob[8..15,16] \ ///
						gap_rob[8..15,19] \ ///
						gap_rob[8..15,22] ///
					) , ( ///
						gap_rob[16..20,1] \ ///
						gap_rob[16..20,4] \ ///
						gap_rob[16..20,7] \ ///
						gap_rob[16..20,10] \ ///
						gap_rob[16..20,13] \ ///
						gap_rob[16..20,16] \ ///
						gap_rob[16..20,19] \ ///
						gap_rob[16..20,22] \ ///
						J(24,1,.) ///
					) ///
				) \ ( ///
					gap_fe[1..6,1], ///
					gap_fe[1..6,4], ///
					gap_fe[1..6,7], ///
					gap_fe[1..6,10] ///
				) 

   *=========================================================

	matrix Ftest=( ///
					tests_basic[1..8,2], ///
					tests_basic[1..8,5], ///
					tests_basic[1..8,8], ///
					tests_basic[1..8,11] ///
				) \ ( ///
					tests_us[1..8,2], ///
					tests_us[1..8,5], ///
					tests_us[1..8,8], ///
					tests_us[1..8,11] ///
				) \ ( ///
					( ///
						tests_rob[1..3,2] \ ///
						tests_rob[1..3,5] \ ///
						tests_rob[1..3,8] \ ///
						tests_rob[1..3,11] \ ///
						tests_rob[1..3,14] \ ///
						tests_rob[1..3,17] \ ///
						tests_rob[1..3,20] \ ///
						tests_rob[1..3,23] \ ///
						J(40,1,.) ///
					) , ( ///
						tests_rob[4..7,2] \ ///
						tests_rob[4..7,5] \ ///
						tests_rob[4..7,8] \ ///
						tests_rob[4..7,11] \ ///
						tests_rob[4..7,14] \ ///
						tests_rob[4..7,17] \ ///
						tests_rob[4..7,20] \ ///
						tests_rob[4..7,23] \ ///
						J(32,1,.) ///
					) , ( ///
						tests_rob[8..15,2] \ ///
						tests_rob[8..15,5] \ ///
						tests_rob[8..15,8] \ ///
						tests_rob[8..15,11] \ ///
						tests_rob[8..15,14] \ ///
						tests_rob[8..15,17] \ ///
						tests_rob[8..15,20] \ ///
						tests_rob[8..15,23] ///
					) , ( ///
						tests_rob[16..20,2] \ ///
						tests_rob[16..20,5] \ ///
						tests_rob[16..20,8] \ ///
						tests_rob[16..20,11] \ ///
						tests_rob[16..20,14] \ ///
						tests_rob[16..20,17] \ ///
						tests_rob[16..20,20] \ ///
						tests_rob[16..20,23] \ ///
						J(24,1,.) ///
					) ///
				) \ ( ///
					tests_fe[1..6,2], ///
					tests_fe[1..6,5], ///
					tests_fe[1..6,8], ///
					tests_fe[1..6,11] ///
				) 

   *=========================================================

	matrix stabtest=( ///
					tests_basic[1..8,3], ///
					tests_basic[1..8,6], ///
					tests_basic[1..8,9], ///
					tests_basic[1..8,12] ///
				) \ ( ///
					tests_us[1..8,3], ///
					tests_us[1..8,6], ///
					tests_us[1..8,9], ///
					tests_us[1..8,12] ///
				) \ ( ///
					( ///
						tests_rob[1..3,3] \ ///
						tests_rob[1..3,6] \ ///
						tests_rob[1..3,9] \ ///
						tests_rob[1..3,12] \ ///
						tests_rob[1..3,15] \ ///
						tests_rob[1..3,18] \ ///
						tests_rob[1..3,21] \ ///
						tests_rob[1..3,24] \ ///
						J(40,1,.) ///
					) , ( ///
						tests_rob[4..7,3] \ ///
						tests_rob[4..7,6] \ ///
						tests_rob[4..7,9] \ ///
						tests_rob[4..7,12] \ ///
						tests_rob[4..7,15] \ ///
						tests_rob[4..7,18] \ ///
						tests_rob[4..7,21] \ ///
						tests_rob[4..7,24] \ ///
						J(32,1,.) ///
					) , ( ///
						tests_rob[8..15,3] \ ///
						tests_rob[8..15,6] \ ///
						tests_rob[8..15,9] \ ///
						tests_rob[8..15,12] \ ///
						tests_rob[8..15,15] \ ///
						tests_rob[8..15,18] \ ///
						tests_rob[8..15,21] \ ///
						tests_rob[8..15,24] ///
					) , ( ///
						tests_rob[16..20,3] \ ///
						tests_rob[16..20,6] \ ///
						tests_rob[16..20,9] \ ///
						tests_rob[16..20,12] \ ///
						tests_rob[16..20,15] \ ///
						tests_rob[16..20,18] \ ///
						tests_rob[16..20,21] \ ///
						tests_rob[16..20,24] \ ///
						J(24,1,.) ///
					) ///
				) \ ( ///
					tests_fe[1..6,3], ///
					tests_fe[1..6,6], ///
					tests_fe[1..6,9], ///
					tests_fe[1..6,12] ///
				) 

   *=========================================================

	preserve
		drop _all
		
		`sil' set obs 86
		gen reg=_n
		
		`sil' svmat betas, name("betas")
		`sil' svmat gap, name("gap")
		`sil' svmat Ftest, name("Ftest")
		`sil' svmat stabtest, name("stabtest")
		`sil' svmat ses, name("ses")
		
		local lst "betas gap"
		forvalues i=1/4 {
			foreach v of local lst {
				`sil' replace `v'`i'=. if Ftest`i'>0.05 | stabtest`i'<0.1 | ses`i'>5

			 *=========================================================

				if `i'==1 {
					local terminstr "Wars"
					local dc "dknavy"
					local lc "eltblue"
				}
				else if `i'== 2 {
					local terminstr "Regime"
					local dc "emerald"
					local lc "ltkhaki"
				}
				else if `i'== 3 {
					local terminstr "Disast"
					local dc "red"
					local lc "erose"
				}
				else if `i'== 4 {
					local terminstr "GDP"
					local dc "dkgreen"
					local lc "eltgreen"
				}
				if "`v'"=="betas" {
					local mu1=scalar(betas_basic[1,`i'+1])
					local mu2=scalar(betas_basic[5,`i'+1])
					local s1=scalar(ses_basic[1,`i'+1])
					local s2=scalar(ses_basic[5,`i'+1])
					local ols1=scalar(betas_basic[1,1])
					local ols2=scalar(betas_basic[5,1])
					local xtit "Estimated coefficients"
					local extra="xline(`ols2', lc(gs9) lw(thick) lp(dash))"
				}
				else if "`v'"=="gap" {
					local mu1=scalar(gap_basic[1,(`i'-1)*3+1])
					local mu2=scalar(gap_basic[5,(`i'-1)*3+1])
					local s1=scalar(gap_basic[1,(`i'-1)*3+2])
					local s2=scalar(gap_basic[5,(`i'-1)*3+2])
					local xtit "Sub-Sample 2SLS to OLS gaps"
					local ols1=0
					local extra=" "
				}
									
			 *=========================================================
					
				`sil' sum `v'`i'
				local w=0.15
				local st=round(r(min)/`w'-1)*`w'
				local end=max(r(max),0)
									
			 *=========================================================
								
				twoway (histogram `v'`i', w(`w') freq start(`st') col(`lc')), ///
					ysize(11) xsize(8) ///
					legend(off) ///
					xline(`ols1', lc(gs9) lw(thick) lp(solid)) `extra' ///
					plotregion(margin(zero) fcolor(white) lcolor(white) ///
														ilcolor(white)) ///
					graphregion(fcolor(white) lcolor(white) ilcolor(white)) ///
					ytitle("Frequency", size(vlarge) c(black)) ///
					ylab(0(5)20, tlc(black) labc(black) format(%4.0f) ///
						labs(large) grid gmax gmin glw(thin) glc(gs12)) ///
					ymlab(0(1)20, ticks nolabels grid gmax gmin ///
						glwidth(vvvthin) glcolor(gs14) glpattern(solid)) ///
					xtitle("`xtit'", si(vlarge) c(black)) ///
					xlabel(#3, format(%4.2f) labsize(large)) ///
					xscale(range (`st' `end'))  ///
					xmlabel(##4, nolabels)
									
		   *=========================================================
				
				local path="$grfold"
				`sil' graph export "`path'SS_Gaps_`terminstr'_`v'.ps", replace ///
						logo(off) mag(98) tmargin(0) lmargin(0) ///
						 orientation(portrait) fontface("Times New Roman")

		   *=========================================================
		   
			}
		}
		
	restore
  end
  
  
