
 ************* Table: The Effect of Immigration on Native Male Wages **************

  program tabbaseline
 	local silent `1'
	****  CODEBOOK FOR SILENT:
	*   1 -> Nice stata output display
	*   0 -> Display everything 

  ******  Local variables to run the stuff quietly or noisily	
  
	if `silent'==1 {
		local sil "qui"
		local noi " "
	}
	else {
		local sil " "
		local noi "qui"
	}

  ******* Program starts
  
	di " "
	di "   Table: The Effect of Immigration on Native Male Wages"
	di "---------------------------------------------------------------------------"
		  
	local path="$prepared"
	`sil' use "`path'All_data.dta", clear

	local lst "basic us region"
	foreach t of local lst {
		matrix betas_`t'=J(8,5,.)
		matrix ses_`t'=J(8,5,.)
		matrix tests_`t'=J(8,12,.)
		matrix gap_`t'=J(8,12,.)
	}

	forvalues count=1/3 {
		if `count'==1 {
			di "    Baseline regressions:", as text
			local mterm "_basic"
		}
		else if `count'==2 {
			di "    U.S. only regressions:", as text
			local mterm "_us"
		}
		else if `count'==3 {
			di "    Regional level regressions:", as text
			local mterm "_region"
			
			local path="$prepared"
			`sil' use "`path'All_data_region.dta", clear
		}
		forvalues fespec=1/2 {
			di "         `fespec':", as text _continue
			forvalues spec=1/4 {
				di "`spec'", as text _continue
				forvalues instr=0/4 {
					if `instr'==0 {
						`sil' selectlocal "2" "`instr'" "`fespec'" "`spec'" "`count'"
						`sil' regsave "2" "`instr'"
					}
					else {
						forvalues stage=1/2 {
							`sil' selectlocal "`stage'" "`instr'" "`fespec'" "`spec'" "`count'"
							`sil' regsave "`stage'" "`instr'"
							if `stage'==1 {
								`sil' tests "`stage'" "0" "0"
								local row=`spec'+(`fespec'-1)*4
								local col=(`instr'-1)*3
								matrix tests`mterm'[`row',`col'+1]=testvec[1,1]
								matrix tests`mterm'[`row',`col'+2]=testvec[2,1]
								matrix tests`mterm'[`row',`col'+3]=testvec[6,1]
							
								if `count'==1 {
									if `spec'==1 {
										`sil' graphs "`instr'" "`fespec'"
	
										matrix bvec=bvec\testvec[6,1]\testvec[1,1]
										if `instr'==1 & `fespec'==1 {
											matrix betas_fs=bvec
											matrix ses_fs=sevec
										}
										else {
											matrix betas_fs=betas_fs,bvec
											matrix ses_fs=ses_fs,sevec
										}
									}
								}
							} 
							else {
								local row=`spec'+(`fespec'-1)*4
								local col=(`instr'-1)*3
								matrix gap`mterm'[`row',`col'+1]= ///
												bvec[1,1] - betas`mterm'[`row',1]
								local gap=gap`mterm'[`row',`col'+1]
								local olsse=ses`mterm'[`row',1]
								`sil' tests "`stage'" "`gap'" "`olsse'"
								matrix gap`mterm'[`row',`col'+2]= ///
										sqrt(sevec[1,1]^2+`olsse'^2-2*cov[1,1])
								matrix gap`mterm'[`row',`col'+3]=testvec
							}
						}
					}
					local row=`spec'+(`fespec'-1)*4
					matrix betas`mterm'[`row',`instr'+1]=bvec
					matrix ses`mterm'[`row',`instr'+1]=sevec
					di ".", as text _continue
				}
			}
			di " ", as text
		}
		if `count'==3 {
			di "    Regional level regressions:", as text
			local mterm "_region"
			
			local path="$prepared"
			`sil' use "`path'All_data.dta", clear
		}
	}

	cap log off Main_log
		tables "TabFS"
		tables "TabBase"
		tables "TabUS"
		tables "TabRegion"
	cap log on Main_log
	
  end
  
  
