  
  ************ Table: Comparison with Networks Instrument ************

  program define networks
	local silent `1'
	****  CODEBOOK FOR SILENT:
	*   1 -> Nice stata output display
	*   0 -> Display everything 

  ******  Local variables to run the stuff quietly or noisily	
  
	if `silent'==1 {
		local sil "qui"
		local noi " "
	}
	else {
		local sil " "
		local noi "qui"
	}

  ******* Program starts
  
	di " "
	di "   Table: Comparison with Networks Instrument for the United States"
	di "---------------------------------------------------------------------------"
		  
	matrix betas_network=J(12,4,.)
	matrix ses_network=J(12,4,.)
	matrix tests_network=J(12,4,.)
	matrix N_network=J(12,4,.)
		
	
	forvalues regional=0/1 {
	
		di "      `regional':", as text _continue

		if `regional'==0 {
			local path="$prepared"
			`sil' use "`path'Second_stage.dta", clear
			
			local path="$data"
			`sil' merge 1:m sex education experience cntry period using ///
												"`path'Shares_networks.dta"
		}
		if `regional'==1 {
			local path="$prepared"
			`sil' use "`path'Second_stage_region.dta", clear
			
			rename cntry region
			local path="$data"
			`sil' merge 1:m sex education experience region period using ///
												"`path'Shares_networks_region.dta"
			`sil' gen cntry=region
			`sil' replace cntry=124 if region>=12400
			`sil' replace cntry=840 if region>=84000
		}

		`sil' keep if _merge==3
		drop _merge

		local path="$prepared"
		`sil' merge m:1 origin period cntry using "`path'Shares_networks_predicted.dta"
		
		
		rename predmigUS MUSqt_hat
		
		cap gen temp=.
		drop temp
		`sil' bys cntry period origin: gen temp=stockij if _n==1
		`sil' bys period origin: egen Mqt=sum(temp)
		drop temp stockij

		`sil' drop if _merge==2
		drop _merge
		
		if `regional'==1 {
			drop cntry
			rename region cntry
		}

		
		cap gen temp=.
		drop temp
		`sil' gen temp=stock if origin==0
		`sil' bys education experience period cntry: egen Nijkt=max(temp)
		`sil' drop if origin==0

		sort period education experience origin cntry
		`sil' bys period: gen id=_n
		`sil' xtset id period, delta(10)

		rename stock Mijkqt
		`sil' bys cntry origin period: egen Mkqt=sum(Mijkqt)
		`sil' bys origin period: egen MUSqt=sum(Mijkqt)
		`sil' bys education experience origin period: egen MijUSqt=sum(Mijkqt)
		
		sort id period
		`sil' gen lagm=l.Mijkqt/l.Nijkt

		forvalues y=60(10)70 {
			cap gen temp0=.
			cap gen temp1=.
			cap gen temp2=.
			cap gen temp3=.
			cap gen temp4=.
			drop temp0 temp1 temp2 temp3 temp4
			`sil' gen temp0=Mqt if period==19`y'
			`sil' gen temp1=Mkqt if period==19`y'
			`sil' gen temp2=MUSqt if period==19`y'
			`sil' gen temp3=Mijkqt if period==19`y'
			`sil' gen temp4=MijUSqt if period==19`y'
			bys origin: egen Mq`y'=max(temp0)
			bys cntry origin: egen Mkq`y'=max(temp1)
			bys origin: egen MUSq`y'=max(temp2)
			bys education experience cntry origin: egen Mijkq`y'=max(temp3)
			bys education experience origin: egen MijUSq`y'=max(temp4)
			drop temp1 temp2 temp3 temp4

			sort id period
			`sil' gen card1`y'=Mkq`y'/MUSq`y'*d.MijUSqt/Nijkt
			`sil' gen card2`y'=Mijkq`y'/MijUSq`y'*d.MijUSqt/Nijkt
			`sil' gen card3`y'=Mijkq`y'/MUSq`y'*d.MUSqt/Nijkt
			`sil' gen card4`y'=Mijkq`y'/MUSq`y'*d.Mqt/Mq`y'/Nijkt
			`sil' gen card5`y'=Mijkq`y'/MUSq`y'*d.MUSqt_hat/Nijkt
		}
		
		collapse (sum) card* lagm (mean) lnmw share_all wt_w i_* j_* kt_* ///
					it_* jt_* ik_* jk_* ij_*, by(education experience cntry period)
					
		`sil' replace card160=. if period==1960
		`sil' replace card260=. if period==1960
		`sil' replace card360=. if period==1960
		`sil' replace card460=. if period==1960
		`sil' replace card560=. if period==1960
		
		`sil' replace card170=. if period<=1970
		`sil' replace card270=. if period<=1970
		`sil' replace card370=. if period<=1970
		`sil' replace card470=. if period<=1970
		`sil' replace card570=. if period<=1970
			

		local c=0
		if `regional'==1 {
			local c=2
		}

		local p=0
		forvalues fe=1/2 {
			di "`fe'", as text _continue
			local ij " "
			if `fe'==2 {
				local ij "ij_*"
			}
			`sil' ivreg2 lnmw (share_all=lagm) i_* j_* kt_* it_* jt_* ik_* jk_* `ij' [pw=wt], r
			di ".", as text _continue
			
			matrix betas_network[`p'+1,`c'+1]=_b[share]
			matrix ses_network[`p'+1,`c'+1]=_se[share]
			matrix tests_network[`p'+1,`c'+1]=e(idp)
			matrix N_network[`p'+1,`c'+1]=e(N)
			
			local d=1
			forvalues y=60(10)70 {
				forvalues i=1/5 {
					if `y'==70 & `i'==4 & `fe'==2 & "`sil'"=="qui" & `regional'==0 {
						local sil "cap"
					}
					`sil' ivreg2 lnmw (share_all=card`i'`y') i_* j_* kt_* it_* jt_* ik_* jk_* `ij' [pw=wt], r
					di ".", as text _continue
					if `y'==70 & `i'==4 & `fe'==2 & "`sil'"=="cap" & `regional'==0 {
						local sil "qui"
					}
					
					matrix betas_network[`p'+1+`i',`c'+`d']=_b[share]
					matrix ses_network[`p'+1+`i',`c'+`d']=_se[share]
					matrix tests_network[`p'+1+`i',`c'+`d']=e(idp)
					matrix N_network[`p'+1+`i',`c'+`d']=e(N)
				}
				local ++d
			}
			local p=6
		}
		di " ", as text
	}
	

	cap log off Main_log
		tables "TabNet"
	cap log on Main_log

  end
  
