
 ************ Table: Robustness to Alternative Choices of Instruments ************

  program tabfe
 	local silent `1'
	****  CODEBOOK FOR SILENT:
	*   1 -> Nice stata output display
	*   0 -> Display everything 

  ******  Local variables to run the stuff quietly or noisily	
  
	if `silent'==1 {
		local sil "qui"
		local noi " "
	}
	else {
		local sil " "
		local noi "qui"
	}

  ******* Program starts
  
	di " "
	di "   Table: Robustness to Different Combinations of Fixed Effects"
	di "---------------------------------------------------------------------------"
		  
	local path="$prepared"
	`sil' use "`path'All_data.dta", clear

	matrix betas_fe=J(6,5,.)
	matrix ses_fe=J(6,5,.)
	matrix tests_fe=J(6,12,.)
	matrix gap_fe=J(6,12,.)

	forvalues fespec=1/6 {
		di "     `fespec':", as text _continue
		forvalues instr=0/4 {
			if `instr'==0 {
				`sil' selectlocal "2" "`instr'" "`fespec'" "1" "1"
				`sil' regsave "2" "`instr'"
			}
			else {
				forvalues stage=1/2 {
					`sil' selectlocal "`stage'" "`instr'" "`fespec'" "1" "1"
					`sil' regsave "`stage'" "`instr'"
					if `stage'==1 {
						`sil' tests "`stage'" "0" "0"
						local row=`fespec'
						local col=(`instr'-1)*3
						matrix tests_fe[`row',`col'+1]=testvec[1,1]
						matrix tests_fe[`row',`col'+2]=testvec[2,1]
						matrix tests_fe[`row',`col'+3]=testvec[6,1]
					} 
					else {
						local row=`fespec'
						local col=(`instr'-1)*3
						matrix gap_fe[`row',`col'+1]= ///
										bvec[1,1] - betas_fe[`row',1]
						local gap=gap_fe[`row',`col'+1]
						local olsse=ses_fe[`row',1]
						`sil' tests "`stage'" "`gap'" "`olsse'"
						matrix gap_fe[`row',`col'+2]= ///
								sqrt(sevec[1,1]^2+`olsse'^2-2*cov[1,1])
						matrix gap_fe[`row',`col'+3]=testvec
					}
				}
			}
			local row=`fespec'
			matrix betas_fe[`row',`instr'+1]=bvec
			matrix ses_fe[`row',`instr'+1]=sevec
			di ".", as text _continue
		}
		di " ", as text
	}

	cap log off Main_log
		tables "TabFE"
	cap log on Main_log
	
  end
  
  
