
 ************ Table: Robustness to Alternative Choices of Instruments ************

  program tabinstr
 	local silent `1'
	****  CODEBOOK FOR SILENT:
	*   1 -> Nice stata output display
	*   0 -> Display everything 

  ******  Local variables to run the stuff quietly or noisily	
  
	if `silent'==1 {
		local sil "qui"
		local noi " "
	}
	else {
		local sil " "
		local noi "qui"
	}

  ******* Program starts
  
	di " "
	di "   Table: Robustness to Alternative Choices of Instruments"
	di "---------------------------------------------------------------------------"
		  
	local path="$prepared"
	`sil' use "`path'All_data.dta", clear

	matrix betas_rob=J(20,8,.)
	matrix ses_rob=J(20,8,.)
	matrix tests_rob=J(20,24,.)
	matrix gap_rob=J(20,24,.)

	forvalues push=1/20 {
		if `push'<10 {
			di "     `push':", as text _continue
		}
		else {
			di "    `push':", as text _continue
		}
		forvalues dist=1/4 {
			di "`dist'", as text _continue
			forvalues fespec=1/2 {
				forvalues stage=1/2 {
					`sil' selectlocal "`stage'" "`dist'`push'" "`fespec'" "1" "1"
					`sil' regsave "`stage'" "`push'`dist'"
					if `stage'==1 {
						`sil' tests "`stage'" "0" "0"
						local row=`push'
						local col=(`fespec'-1)*3+(`dist'-1)*3*2
						matrix tests_rob[`row',`col'+1]=testvec[1,1]
						matrix tests_rob[`row',`col'+2]=testvec[2,1]
						matrix tests_rob[`row',`col'+3]=testvec[6,1]
					} 
					else {
						local row=`push'
						local col=(`fespec'-1)*3+(`dist'-1)*3*2
						local ols=(`fespec'-1)*5+1
						matrix gap_rob[`row',`col'+1]=bvec[1,1]-betas_basic[`ols',1]
						local gap=gap_rob[`row',`col'+1]
						local olsse=ses_basic[`ols',1]
						`sil' tests "`stage'" "`gap'" "`olsse'"
						matrix gap_rob[`row',`col'+2]= ///
									sqrt(sevec[1,1]^2+`olsse'^2-2*cov[1,1])
						matrix gap_rob[`row',`col'+3]=testvec
					}
				}
				local row=`push'
				local col=`fespec'+(`dist'-1)*2
				matrix betas_rob[`row',`col']=bvec
				matrix ses_rob[`row',`col']=sevec
				di ".", as text _continue
			}
		}
		di " ", as text
	}

	cap log off Main_log
		tables "TabRob"
	cap log on Main_log
	
  end
  
  
